Rychlý úvod k síťovým licencím

Síťové rozmístění tohoto programu vyžaduje pečlivé plánování a provedení. Tato část poskytuje podrobné instrukce o přípravě rozmístění, nastavení licenčního serveru a instalaci a distribuci programu.

Pokud nejste seznámeni se správou sítě a rozmístěním, měli byste si před rozmístěním a správou programu prostřednictvím sítě prostudovat Příručku správce sítě.

Témata v této části:

  • Příprava rozmístění
  • Instalace licenčního serveru
  • Instalace a distribuce programu
Připomínky?


Příprava rozmístění

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Příprava rozmístění

Chcete-li připravit rozmístění, je nutné vybrat typ instalace a model licenčního serveru.

Témata v této části:

  • Výběr typu instalace
  • Výběr modelu licenčního serveru


Výběr typu instalace

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Výběr typu instalace

Při nastavení rozmístění je nutné vybrat typ instalace, kterou budete rozmísťovat. V Průvodci rozmístěním vyberete jeden z následujících typů instalace:

  • Instalace síťové licence Při tomto typu instalace nainstalujete program na pracovní stanice s takovými soubory a položkami registru, které umožňují komunikaci programu se Správcem síťových licencí. Také definujete konfiguraci Správce síťových licencí, aby měl přístup k licencím. Pracovní stanice, na kterých program běží na základě síťové instalace, nevyžadují individuální aktivaci. Licence tohoto programu jsou spravovány alespoň jedním licenčním serverem.
  • Samostatná instalace Tento typ instalace zvolte pro samostatnou instalaci (jedno sériové číslo na jednoho uživatele) nebo pro samostatnou instalaci pro více licencí (jedno sériové číslo pro více instalací). Ke správě licencí produktu nebudete používat Správce síťových licencí. Při samostatné instalaci provádíte instalaci, registraci a aktivaci programu na každé pracovní stanici. Po první aktivaci pomocí sériového čísla samostatné instalace pro více licencí proběhne aktivace automaticky u všech pracovních stanic s tímto rozmístěním, pokud jsou připojeny k Internetu. Vyberete-li si tento typ instalace, můžete přejít do části Instalace a distribuce programu.


Výběr modelu licenčního serveru

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Výběr modelu licenčního serveru

Pokud vyberete volbu Síťová instalace, je nutné se rozhodnout, který model licenčního serveru použijete pro distribuci licencí produktu. (Pokud rozmísťujete samostatnou instalaci nebo samostatnou instalaci pro více licencí, nepoužívejte model licenčního serveru.)

U síťové instalace použijte jeden z následujících modelů licenčního serveru:

  • Model jednoho licenčního serveruSprávce síťových licencí je instalován na jednom serveru, takže je správa licencí a činnost omezena na tento server. Jeden licenční server obsahuje všechny licence dostupné na serveru.
  • Model distribuovaného licenčního serveruLicence jsou distribuovány přes více než jeden server. Pro každý server je vyžadován jedinečný licenční soubor. Chcete-li vytvořit distribuovaný licenční server, musíte spustit Správce síťových licencí na každém serveru ve fondu distribuovaných serverů.
  • Model redundantního licenčního serveru Zde licenční soubor ověřujete pomocí tří serverů. Jeden server funguje jako hlavní server a zbývající dva nabízí zálohu při selhání hlavního serveru. S touto konfigurací jsou licence sledovány a vydávány v případě, že jsou funkční alespoň dva servery. Licenční soubor je na všech třech serverech stejný. Na každý server je nutné instalovat Správce síťových licencí.

Všechny tyto modely licenčních serverů jsou podrobně popsány v Příručce síťových licencí. Důrazně doporučujeme, abyste si tuto příručku přečetli před rozmístěním programu. Příručka síťových licencí se nachází na kartě Dokumentace v Prohlížeči médií a v systému nápovědy.


Instalace licenčního serveru

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Instalace licenčního serveru

Chcete-li, aby uživatelé spouštěli program pomocí síťových licencí, je nutné použít Správce síťových licencí a nástroj Aktivace síťové licence.

Správce síťových licencí pomáhá konfigurovat a spravovat licenční server. Pomocí nástroje Aktivace síťové licence můžete získat licence a registrovat je po Internetu.

Témata v této části:

  • Instalace Správce síťových licencí
  • Instalace a použití nástroje Aktivace síťové licence
  • Konfigurace licenčního serveru


Instalace Správce síťových licencí

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Instalace Správce síťových licencí

Pomocí Správce síťových licencí můžete konfigurovat a spravovat licenční servery.

Jak instalovat Správce síťových licencí
  1. V Prohlížeči médií klepněte na kartu Instalace.
  2. Na kartě Instalace klepněte na položku Síťové rozmístění.
  3. V poli Instalovat komponenty síťových licencí klepněte na Správce síťových licencí.
  4. V dialogu Autodesk Network License Manager Setup klepněte na tlačítko Next.
  5. V dialogu License Agreement si přečtěte licenční smlouvu, klepněte na I Accept the License Agreement a potom na tlačítko Next.

    6. Poznámka Pokud s podmínkami ujednání nesouhlasíte, stiskem tlačítka Storno instalaci zrušte.

  6. V dialogu Cílová složka přijměte výchozí složku (C:\Program Files\Autodesk Network License Manager\ ) nebo klepněte na tlačítko Procházet a určete jiné umístění. Jestliže určíte neexistující cestu, vytvoří se nová složka se zadaným názvem a umístěním. Stiskněte tlačítko Další.

    7. Upozornění Neinstalujte Správce síťových licencí na vzdálenou jednotku. Při instalaci souborů Správce síťových licencí je nutné zadat cestu k místnímu disku. Je nutné zadat písmeno disku; cesta UNC (Universal Naming Convention) není podporována.

  7. V dialogu Připraven k instalaci aplikace nainstalujete stiskem tlačítka Další Správce síťových licencí.
  8. Klepněte na tlačítko Finish.


Instalace a použití nástroje Aktivace síťové licence

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Instalace a použití nástroje Aktivace síťové licence

Pomocí nástroje Aktivace síťové licence můžete získat licenci přes Internet, což šetří čas a úsilí při instalaci verze se síťovou licencí programu. Kromě toho můžete produkt registrovat a získat automatizovanou podporu pro elektronickou poštu v případech, kdy nemůžete získat licenci přes internet.

Jak nainstalovat nástroj Aktivace síťové licence
  1. V Prohlížeči médií klepněte na kartu Instalace.
  2. Na kartě Instalace klepněte na položku Síťové rozmístění.
  3. V poli Instalovat komponenty síťových licencí klepněte na nástroj Aktivace síťové licence.
  4. V dialogu pro instalaci nástroje Aktivace síťových licencí produktu AutoCAD 2006 klepněte na tlačítko Další.
  5. V dialogu License Agreement si přečtěte licenční smlouvu, klepněte na I Accept the License Agreement a potom na tlačítko Next.

    6. Poznámka Pokud s podmínkami ujednání nesouhlasíte, stiskem tlačítka Storno instalaci zrušte.

  6. V dialogu Cílová složka přijměte výchozí složku (C:Program Files\Autodesk Network License Manager\Network License Activation Utility\ ) nebo klepněte na tlačítko Procházet a určete jiné umístění. Jestliže určíte neexistující cestu, vytvoří se nová složka se zadaným názvem a umístěním. Stiskněte tlačítko Další.
  7. V dialogu Připraven k instalaci aplikace nainstalujete klepnutím na tlačítko Další nástroj Aktivace síťových licencí.
  8. Klepněte na tlačítko Finish.
Jak používat nástroj Aktivace síťových licencí
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] Autodesk [image] Správce síťových licencí [image] Nástroj Aktivace síťových licencí produktu AutoCAD 2006.
  2. V dialogu Získat síťovou licenci zkontrolujte funkci této pomůcky a požadavky pro její používání a potom klepněte na tlačítko Další.
  3. V dialogu Informace serveru zadejte sériové číslo produktu.

    4. Poznámka Pokud upravíte existující licenční soubor nebo pro existující produkt získáte novou licenci, dříve zadané informace se mohou zobrazit. Zkontrolujte, zda chcete licencovat zobrazené sériové číslo. Pokud ne, zadejte správné sériové číslo produktu.

  4. V poli Model licenčního serveru klepněte na model serveru. Více informací o každém modelu licenčního serveru získáte klepnutím na tlačítko ?.
  5. V poli Název hostitelského serveru zadejte název hostitelského serveru nebo klepnutím na tlačítko [...] nalezněte název každého serveru, který plánujete použít.
  6. V poli Hostitelské ID pro každý název hostitele zadaný v předchozím kroku klepnutím na tlačítko Vyhledat nechejte pomůcku automaticky vyhledat hostitelské ID pro každý server nebo zadejte hostitelské ID manuálně.

    7. Poznámka Pokud server obsahuje více než jeden síťový adaptér, vyberte ten, který odpovídá fyzickému síťovému adaptéru. Chcete-li určit, které síťové adaptéry jsou fyzické, zadejte do příkazového řádku systému Windows příkaz ipconfig /all a prohlédněte si pole Popis nad každou fyzickou adresou. Pokud existuje více fyzických adaptérů, můžete si vybrat libovolný adaptér, který je vypsán po spuštění příkazu ipconfig /all. Logická zařízení, například adaptéry VPN, PPP a modemy mohou v seznamu být, ale nelze je pro licence použít.

  7. Jestliže jste v kroku 4 zvolili distribuovaný server, zobrazí se pole Licencí. Do textového pole Licencí zadejte počet licencí každého licenčního serveru a potom klepněte na tlačítko Další.
  8. V dialogu Potvrdit server informace si prohlédněte informace serveru, které jste zadali, a klepněte na tlačítko Další.
  9. Pokud se zobrazí dialog Registrujte a získejte licenci vašeho produktu Autodesk, proveďte všechny následující úkony a potom klepněte na tlačítko Další.
    • V poli Tento produkt bude registrován na vyberte volbu Společnost nebo Individuálně.
    • V poli Vyberte zemi vyberte vaši zemi.
    • V poli Jedná se o upgrade? zvolte Ano nebo Ne.
  10. Pokud se zobrazí dialog Registrační informace, zadejte registrační informace a potom klepněte na tlačítko Další.
  11. Pokud se zobrazí dialog Potvrdit informace, prohlédněte si registrační informace a potom klepněte na tlačítko Další.
  12. Pokud se zobrazí dialog Připojování, klepnutím na tlačítko Další se připojte k internetu a získejte síťovou licenci.
  13. V dialogu Licence obdržena v dialogu Uložit licenční soubor pro [název počítače] zadejte umístění, kam chcete uložit licenční soubor, nebo klepnutím na tlačítko Procházet najděte umístění.

    14. Poznámka Doporučujeme uložit licenční soubor do stejného umístění, kde je instalován Správce síťových licencí.

  14. Máte-li existující licenční soubor z jiného produktu společnosti Autodesk, vyberte jednu z následujících voleb:
    • Vložit do něj nové licenční informace Přidá nové licenční informace do existujícího licenčního souboru.
    • síťové instalace licencí Nahradí celý obsah existujícího licenčního souboru novými licenčními informacemi. Vyberte tuto volbu pouze v případě, že již nepotřebujete žádnou část obsahu existujícího licenčního souboru.
  15. Stiskněte tlačítko Další.
  16. V dialogu Úspěšná aktivace licence uložte klepnutím na tlačítko Tisk tištěnou kopii licenčních informací nebo klepnutím na tlačítko Hotovo dokončete transakci a ukončete nástroj Aktivace síťové licence.


Konfigurace licenčního serveru

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Konfigurace licenčního serveru

Licenční server nakonfigurujte tak, aby bylo možné spravovat licence produktů společnosti Autodesk, které jste obdrželi při spuštění nástroje Aktivace síťové licence. Nakonfigurujte server pomocí programu lmtools.exe.

Jak konfigurovat licenční server
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] Autodesk [image] Správce síťových licencí [image] LMTOOLS.
  2. V programu Lmtools na kartě Service/License File zapněte volbu Configure Using Services.
  3. Klepněte na kartu Config Services.
  4. Na kartě Config Services v seznamu Service Name vyberte název služby nebo proveďte jeden z následujících úkonů:
    • Jestliže je vybrán název služby, ověřte, že se jedná o tu, kterou chcete použít pro správu licencí.
    • Pokud neexistuje žádný název služby, zadejte název služby, kterou chcete použít pro správu licencí.

    Poznámka Máte-li více dodavatelů softwarových licencí spravovaných pomocí FLEXlm®, seznam služeb obsahuje více voleb.

  5. Do pole Path to Lmgrd.exe File zadejte cestu k démonu Správce síťových licencí (lmgrd.exe), nebo klepněte na tlačítko Procházet a vyhledejte soubor.

    6. Implicitně je tento démon instalován ve složce \Program Files\\Autodesk Network License Manager.

  6. V poli Path to the License File zadejte cestu k licenčnímu souboru nebo klepnutím na tlačítko Procházet nalezněte soubor.
  7. V poli Path to the Debug Log File zadejte cestu pro vytvoření protokolu s informacemi o ladění nebo klepnutím na tlačítko Procházet zvolte existující protokolový soubor.
  8. Chcete-li spustit program lmgrd.exe jako službu, vyberte Use Services.
  9. Chcete-li automaticky spustit program lmgrd.exe současně se systémem, vyberte Start Server at Power Up.
  10. Klepnutím na Save Service uložte novou konfiguraci pod názvem služby vybraným v kroku 4. Potom klepněte na tlačítko Ano.
  11. Klepněte na kartu Start/Stop/Reread.
  12. Na kartě Start/Stop/Reread klepnutím na Start Server spusťte licenční server. Licenční server se spustí a je připraven odpovídat na požadavky klientů.
  13. Imtools.exe


Instalace a distribuce programu

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Instalace a distribuce programu

Jakmile jste provedli přípravu pro rozmístění a použili Správce síťových licencí a nástroj Aktivace síťové licence, můžete instalovat a distribuovat tento program pomocí Průvodce rozmístění a volby způsobu rozmístění.

Témata v této části:

  • Vytvoření síťového sdílení
  • Instalace Průvodce rozmístěním
  • Použití Průvodce rozmístěním k instalaci rozmístění
  • Rozmístění tohoto programu


Vytvoření síťového sdílení

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Vytvoření síťového sdílení

Síťové sdílení je instalační složka, která je dostupná uživatelským počítačům v síti. Vytvořte síťové sdílení, které bude využito Průvodcem rozmístění během vytváření klientského rozmístění. Síťové sdílení je umístění, kam budou uživatelé směrováni při instalaci programu.

Poznámka Chcete-li vytvořit síťové sdílení, je nutné mít oprávnění Měnit a Číst. Uživatelé musejí mít oprávnění Číst, aby měli přístup k síťovému sdílení a oprávnění správce na pracovní stanici, do které je program instalován.

síťové sdílení
  1. Klepněte pravým tlačítkem na složku, kterou chcete sdílet a potom vyberte položku Sdílení a zabezpečení (nebo Sdílení).
  2. V dialogu <Název složky> - vlastnosti zaškrtněte na kartě Sdílení políčko Sdílet tuto složku.
  3. Změňte požadovaná nastavení nebo oprávnění a potom stiskněte tlačítko OK.


Instalace Průvodce rozmístěním

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Instalace Průvodce rozmístěním

Instalační program Průvodce rozmístěním nainstaluje soubory nezbytné pro spuštění průvodce do zadaného umístění.

Jak nainstalovat Průvodce rozmístěním
  1. V Prohlížeči médií klepněte na kartu Instalace.
  2. Na kartě Instalace klepněte na volbu Samostatná instalace pro více licencí nebo Síťové rozmístění.
  3. V části Instalovat Průvodce rozmístěním klepněte na tlačítko Instalovat.
  4. V dialogu Vítá vás Průvodce rozmístěním klepněte na tlačítko Další.
  5. V dialogu License Agreement si přečtěte licenční smlouvu, klepněte na I Accept the License Agreement a potom na tlačítko Next.

    6. Poznámka Pokud s podmínkami ujednání nesouhlasíte, stiskem tlačítka Storno instalaci zrušte.

  6. V dialogu Cílová složka vyberte, kam chcete Průvodce rozmístěním nainstalovat. Použijte jeden z následujících postupů:
    • Klepnutím na tlačítko Další přijmete výchozí složku (C:\Program Files\Autodesk Deployment Wizard\ ).
    • Klepnutím na tlačítko Procházet určete jinou jednotku a složku, kam bude Průvodce rozmístěním nainstalován, nebo zadejte novou cestu. Stiskněte tlačítko OK a potom stiskněte tlačítko Další.
  7. V dialogu Připraven k instalaci aplikace stiskněte tlačítko Další. Průvodce rozmístěním bude nyní instalován do zadaného umístění.
  8. Klepněte na tlačítko Finish.

Po nainstalování můžete Průvodce rozmístěním použít k instalaci síťového rozmístění.


Použití Průvodce rozmístěním k instalaci rozmístění

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Použití Průvodce rozmístěním k instalaci rozmístění

Pomocí Průvodce rozmístěním vytvoříte rozmístění, ze kterého mohou uživatelé nainstalovat programy na své počítače.

Poznámka Následující postup ilustruje pouze jeden ze způsobů instalace rozmístění pomocí Průvodce rozmístěním. Tento postup podrobně popisuje síťové rozmístění jednoho serveru s typem klientské instalace Typická a bez uživatelských nastavení. Více informací o všech schopnostech Průvodce rozmístěním nabízí Použití Průvodce rozmístěním.

Použití Průvodce rozmístěním
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] Autodesk [image] Průvodce rozmístěním.
  2. V Průvodci rozmístěním vyberte v dialogu Vítejte volbu Vytvořit administrativní obraz a potom klepněte na tlačítko Další.
  3. V dialogu Vytvořit administrativní obraz zadejte do pole Vyberte instalační (MSI) soubor cestu k souboru acad.msi (což je soubor MSI, na základě kterého vytvoříte administrativní obraz) nebo klepněte na tlačítko [...] a soubor vyhledejte. Soubor acad.msi je umístěn ve složce CDROM:\BIN\ACADFeui.
  4. Do pole Umístění administrativního obrazu zadejte existující umístění síťového sdílení, ve kterém chcete administrativní obraz vytvořit, nebo klepněte na tlačítko [...] a umístění vyhledejte. Uživatelé budou program instalovat z tohoto umístění. Stiskněte tlačítko Další.

    5. Poznámka Pokud nevíte, jak síťové sdílení vytvořit, nahlédněte do části Vytvoření síťového sdílení.

  5. V okně Vytvořit nebo upravit rozmístění vyberte volbu Vytvořit rozmístění.
  6. Zadejte název nového rozmístění do textového pole Zadejte název pro nové rozmístění. Zadaný název je název zástupce, jehož prostřednictvím budou uživatelé produkt instalovat. Potom stiskněte tlačítko Další.
  7. V dialogu Zápis do protokolu zadejte do pole Adresář kam je zapsán protokol cestu UNC k adresáři, kde bude síťový protokol umístěn.

    8. Poznámka Adresář se síťový protokolem musí být sdílená složka, ke které mají uživatelé instalující program oprávnění Měnit. Jinak nebude možné zapsat do protokolu úspěch nebo selhání uživatelské aplikace.

  8. Pokud chcete vytvořit klientský protokol, vyberte v poli Klientský protokol volbu Vytvořit klientský protokol a potom stiskněte tlačítko Další.
  9. V okně Vyberte typ instalace vyberte volbu Síťová instalace a potom stiskněte tlačítko Další.
  10. V okně Konfigurace serveru vyberte volbu Jediný licenční server. Stiskněte tlačítko Další.

    11. Poznámka Podrobné pokyny pro všechny typy instalací a serverů naleznete v části typ instalace Plná.

  11. V okně Konfigurace s jedním serverem zadejte název serveru, který spustí Správce síťových licencí nebo stiskněte tlačítko [...] a vyhledejte server.
  12. Do textového pole Hostitelské ID serveru zadejte hostitelské ID nebo stiskněte tlačítko Najít a ID bude zadáno automaticky. Potom stiskněte tlačítko Další.
  13. V dialogu Umístění klientské instalace zadejte do pole Instalační cesta klienta cestu k pracovní stanici klienta, kam chcete program instalovat. Výchozí instalační cesta je C:\Program Files\AutoCAD 2006.
  14. Chcete-li zabránit uživatelům před změnou instalačních nastavení při instalaci produktu, vyberte volbu Klientské instalace budou spuštěny v tichém módu. Potom stiskněte tlačítko Další.
  15. V dialogu Typ instalace klienta vyberte volbu Typická. Stiskněte tlačítko Další.
  16. V dialogu Nainstalovat volitelné nástroje stiskněte tlačítko Další.
  17. V okně Další klientská nastavení stiskněte tlačítko Další.
  18. V okně Vyhledávací cesty a umístění souborů stiskněte tlačítko Další.
  19. V okně Instalace dalších souborů stiskněte tlačítko Další.
  20. V okně Sériové číslo zadejte sériové číslo daného produktu. Potom stiskněte tlačítko Další.
  21. V okně Osobní informace zadejte požadované informace. Potom stiskněte tlačítko Další.

    22. Poznámka Dialog Osobní informace se používá k personalizaci programu pro účely uživatele nebo podniku. Zde zadané informace jsou trvalé a jsou zobrazeny v okně O produktu AutoCAD 2006 (které zpřístupníte pomocí příkazu Nápověda [image] O produktu) na všech pracovních stanicích, do kterých je rozmístění nainstalováno. Protože tyto informace nelze později změnit bez odinstalování produktu, ujistěte se, že jste nyní zadali informace správně.

  22. V okně Live Update stiskněte tlačítko Další.
  23. V okně DC Online stiskněte tlačítko Další.
  24. V okně Přístup k Centru pro předplatné stiskněte tlačítko Další.
  25. V okně Potvrzení instalace ověřte instalační volby a stiskněte tlačítko Další.

    26. Pokud chcete změnit některou z voleb rozmístění, stiskněte tlačítko Zpět.

    Poznámka Instalační informace zobrazené v tomto dialogu můžete uložit výběrem textu, zkopírováním a vložením tohoto textu do textového souboru (například Poznámkový blok). Textový soubor potom uložte do stejného umístění a se stejným názvem, jaký jste vybrali pro rozmístění. Doporučuje se, abyste to provedli, chcete-li mít informace o všech volbách provedených u rozmístění.

  26. V okně Instalace dokončena klepněte na tlačítko Dokončit.


Rozmístění tohoto programu

Rychlý úvod k síťovým licencím
Rychlý úvod k síťovým licencím
Rozmístění tohoto programu

Je možné zvolit několik způsobů rozmístění programu. Síťové sdílení je výchozí způsob.

  • Síťové sdílení Uživatelé spustí zástupce, kterého jste vytvořili v Průvodci rozmístěním v kroku 4 Použití Průvodce rozmístěním k instalaci rozmístění (například \\Server1\Autodesk\deployment\AutoCAD 2006). Program je nainstalován do místních počítačů uživatelů a na ploše je zobrazena ikona produktu.

Poznámka Uživatelé musejí mít oprávnění Číst, aby měli přístup k síťovému sdílení a oprávnění správce na pracovní stanici, kam program instalují.

  • Ohlašování MS Viz Ohlášení rozmístění.
  • Skriptování Viz Použití skriptů k rozmístění programu.
  • Objekty zásad skupiny (GPO) Viz Instalace rozmístění pomocí zásad skupin.
  • Server SMS (Microsoft Systems Management Server) Viz Instalace rozmístění pomocí serveru SMS.
  • Služby vzdálené instalace (RIS) Viz Instalace rozmístění pomocí služeb vzdálené instalace.


Systémové požadavky

Tato pasáž obsahuje systémové požadavky pro umístění administrativního obrazu, síťového licenčního serveru a klientské pracovní stanice.

Témata v této části:

  • Systémové požadavky pro tento program


Systémové požadavky pro tento program

Systémové požadavky
Systémové požadavky
Systémové požadavky pro tento program

Před instalací programu v síti se ubezpečte, že servery a pracovní stanice klientů splňují minimální hardwarové a softwarové požadavky doporučené pro rozmístění.

Viz následující tabulka požadavků pro administrativní obraz, licenční server a pracovní stanici klienta.

Hardwarové a softwarové požadavky pro umístění administrativního obrazu
Hardware/Software | Požadavky | Poznámky
Pevný disk | 500 MB (doporučeno) | Umístění, kde vytvoříte administrativní obraz, musí být sdíleným umístěním, aby uživatelé měli k administrativnímu obrazu přístup.

Hardwarové a softwarové požadavky na server síťových licencí
Hardware/Software | Požadavky | Poznámky
Operační systém | Windows 2003 Server Edition Windows XP Professional s aktualizací Service Pack 1 nebo 2 Windows 2000 Server Edition Windows 2000 s aktualizací Service Pack 4 | Správce síťových licencí podporuje pouze konfigurace ethernetové sítě.
Počítač/procesor | Pentium III nebo novější 450 Mhz (minimum) |
Síťová karta | Kompatibilní s existující Ethernetovou síťovou infrastrukturou | Správce síťových licencí podporuje více síťových karet.
Komunikační protokol | TCP/IP | Správce síťových licencí používá typy TCP paketů.

Hardwarové a softwarové požadavky pro klientskou pracovní stanici

Hardware/Software

Požadavky

Poznámky

Operační

systém

Windows XP Professional s aktualizací Service Pack 1 nebo 2

Windows XP Home s aktualizací Service Pack 1 nebo 2

Windows XP Tablet PC

Windows 2000 s aktualizací Service Pack 4

Doporučuje se instalovat jiné než anglické verze produktu do operačního systému, jehož jazyk uživatelského rozhraní odpovídá kódové stránce jazyku programu. Kódová stránka nabízí podporu znakových sad různých jazyků.

K instalaci tohoto programu musíte mít oprávnění správce.

Webový prohlížeč

Microsoft Internet Explorer 6.0 s aktualizací Service Pack 1 (nebo novější)

Program nelze nainstalovat, pokud na pracovní stanici není nainstalována aplikace Microsoft Internet Explorer 6.0 s aktualizací Service Pack 1 (nebo novější). Aplikaci Internet Explorer lze stáhnout z následujícího webu společnosti Microsoft:: http://www.microsoft.com/downloads

Počítač/procesor

Pentium III nebo novější

800 Mhz

RAM

512 MB (doporučeno)

Video

1024 x 768 VGA s barevnou hloubkou True Color (minimum)

Vyžaduje grafický adaptér podporovaný systémem Windows.

Pevný disk

Instalace 500 MB

Ukazovací

zařízení

Myš, trackball nebo jiné zařízení

Síťová karta

Kompatibilní s existující Ethernetovou síťovou infrastrukturou

Síťová karta je požadována, aby uživatelé měli přístup k síťovému sdílení, kde je uloženo rozmístění, odkud lze program nainstalovat.

Volitelný

hardware

Grafická karta kompatibilní s OpenGL.

Tiskárna nebo plotr

Tablet

Modem nebo přístup k internetu

Ovladač OpenGL dodávaný s grafickou kartou 3D musí splňovat následující požadavky: :

  • Plná podpora OpenGL nebo novější.
  • ICD (OpenGL Installable Client Driver). Grafická karta musí obsahovat ICD v rámci ovladače OpenGL. Ovladač typu miniGL dodávaný s některými kartami není dostačující pro použití s tímto programem.


Rozmístění programu

V této části se naučíte, jak nainstalovat Průvodce rozmístěním do počítače. Potom s využitím průvodce vytvoříte nebo upravíte rozmístění, pomocí kterého budou uživatelé instalovat program na své pracovní stanice.

Témata v této části:

  • Příprava pro síťové rozmístění
  • Instalace Průvodce rozmístěním
  • Použití Průvodce rozmístěním
  • Nasměrování uživatele k administrativnímu obrazu
  • Odinstalování programu


Příprava pro síťové rozmístění

Rozmístění programu
Rozmístění programu
Příprava pro síťové rozmístění

Instalace tohoto programu v síti vyžaduje pečlivé plánování a provedení. Typ instalace produktu zvolený k rozmístění záleží na infrastruktuře sítě a požadavcích pro používání klientů.

V Průvodci rozmístěním je možné zvolit několik způsobů instalace programu:

  • Samostatná instalace (jedno sériové číslo pro jednoho uživatele) Ke správě licencí produktu nebudete používat Správce síťových licencí. Při samostatné instalaci provádíte instalaci, registraci a aktivaci programu na každé pracovní stanici.
  • Samostatná instalace pro více licencí Registrační data jsou shromážděna v dialozích Registrujte dnes v Průvodci rozmístěním. Po první aktivaci pomocí sériového čísla samostatné instalace pro více licencí proběhne aktivace automaticky u všech pracovních stanic s tímto rozmístěním, pokud jsou připojeny k Internetu. V Průvodci rozmístěním vyberte volbu Samostatná instalace.
  • Instalace síťové licence Při tomto typu instalace nainstalujete program na pracovní stanice s takovými soubory a položkami registru, které umožňují komunikaci programu se Správcem síťových licencí. Také definujete konfiguraci Správce síťových licencí, aby měl přístup k licencím. Pracovní stanice, na kterých program běží na základě síťové instalace, nevyžadují individuální aktivaci. Licence tohoto programu jsou spravovány alespoň jedním licenčním serverem.

Před spuštěním Průvodce rozmístěním je nutné provést následující úkony.

  • Ověření systémových požadavkůUjistěte se, že síť, servery a pracovní stanice splňují systémové požadavky. Viz Systémové požadavky pro tento program.
  • Instalace a aktivace Správce síťových licencí Pokud chcete, aby uživatelé spouštěli program se síťovými licencemi, přečtěte si Příručku síťových licencí, která nabízí podrobné informace o nastavení licenčních serverů. Příručka síťových licencí je dostupná v Prohlížeči médií a v systému nápovědy.
  • Vytvoření síťového sdílení Síťové sdílení je instalační složka, která je dostupná uživatelským počítačům v síti. Vytvořte síťové sdílení, které bude využito Průvodcem rozmístění během vytváření klientského rozmístění. Síťové sdílení je umístění, kam budou uživatelé směrováni při instalaci programu. Pokud nevíte, jak síťové sdílení vytvořit, nahlédněte do části Vytvoření síťového sdílení.

    • Poznámka Chcete-li vytvořit síťové sdílení, je nutné mít oprávnění Měnit a Číst. Uživatelé musejí mít oprávnění Číst, aby měli přístup k síťovému sdílení, a oprávnění správce na pracovní stanici, do které je program instalován.

Až dokončíte tyto úkony, budete připraveni instalovat a spustit Průvodce rozmístěním.


Instalace Průvodce rozmístěním

Rozmístění programu
Rozmístění programu
Instalace Průvodce rozmístěním

Instalační program Průvodce rozmístěním nainstaluje soubory nezbytné pro spuštění průvodce do zadaného umístění. Po nainstalování Průvodce rozmístěním vytvoříte spuštěním programu DeployWiz.exe síťové rozmístění.

Jak nainstalovat Průvodce rozmístěním
  1. V Prohlížeči médií klepněte na kartu Instalace.
  2. Na kartě Instalace klepněte na volbu Samostatná instalace pro více licencí nebo Síťové rozmístění.
  3. V části Instalovat Průvodce rozmístěním klepněte na tlačítko Instalovat.
  4. V dialogu Vítá vás Průvodce rozmístěním klepněte na tlačítko Další.
  5. V dialogu License Agreement si přečtěte licenční smlouvu, klepněte na I Accept the License Agreement a potom na tlačítko Next.

    6. Poznámka Pokud s podmínkami ujednání nesouhlasíte, stiskem tlačítka Storno instalaci zrušte.

  6. V dialogu Cílová složka vyberte, kam chcete Průvodce rozmístěním nainstalovat. Použijte jeden z následujících postupů:
    • Klepnutím na tlačítko Další přijmete výchozí složku (C:\Program Files\Autodesk Deployment Wizard\ ).
    • Klepnutím na tlačítko Procházet určete jinou jednotku a složku, kam bude Průvodce rozmístěním nainstalován, nebo zadejte novou cestu. Stiskněte tlačítko OK a potom stiskněte tlačítko Další.
  7. V dialogu Připraven k instalaci aplikace stiskněte tlačítko Další. Průvodce rozmístěním bude nyní instalován do zadaného umístění.
  8. Klepněte na tlačítko Finish.

Po nainstalování můžete Průvodce rozmístěním použít k instalaci síťového rozmístění.


Použití Průvodce rozmístěním

Rozmístění programu
Rozmístění programu
Použití Průvodce rozmístěním

Pomocí Průvodce rozmístěním vytvoříte rozmístění, ze kterého mohou uživatelé nainstalovat programy na své počítače. V Průvodci rozmístěním můžete provést volby, které vytvoří různé obrazy klientských rozmístění a typy rozmístění splňující požadavky uživatelů a potřeby společnosti.

Poznámka Pomocí Průvodce rozmístěním můžete vytvořit rozmístění libovolného z produktů AutoCAD 2006, AutoCAD 2005 nebo AutoCAD 2004.

Pomocí Průvodce rozmístěním můžete provádět následující činnosti:

  • Vytvořit nebo upravit rozmístění.
  • Použít opravu na rozmístění.
  • Přidat uživatelské soubory do rozmístění.
  • Změnit vyhledávací cesty a umístění souborů.

Poznámka Protože Průvodce rozmístěním nabízí mnoho voleb pro tvorbu a přizpůsobení rozmístění, obsahuje mnoho dialogů, které je nutné vyplnit a voleb, které je nutné provést. Měli byste si vyhradit čas a dokončit Průvodce rozmístěním v rámci jediného spuštění. Kromě toho před započetím práce s Průvodcem rozmístěním proveďte požadované přípravné úkoly. Více informací o přípravě nabízí Příprava pro síťové rozmístění.

Při používání Průvodce rozmístěním můžete provádět následující činnosti:

  1. Spuštění Průvodce rozmístěním
  2. Jak upravit administrativní obraz
  3. Vytvořit nebo upravit rozmístění.
  4. Určení umístění síťového protokolu
  5. typ instalace Plná
  6. typ instalace Plná
  7. Výběr typu instalace klienta
  8. Instalace volitelných nástrojů (volitelné)
  9. Instalace dalších klientských nastavení (volitelné)
  10. Výběr vyhledávacích cest a umístění souborů (volitelné)
  11. Instalace dalších souborů (volitelné)
  12. Zadání sériového čísla produktu
  13. Zadání osobních informací
  14. Zapnutí voleb Live Update (volitelné)
  15. Zapnutí funkce DesignCenter Online (volitelné)
  16. Zapnutí Centra pro předplatné (volitelné)
  17. Dokončení registrace
  18. Potvrzení a dokončení instalace

    Témata v této části:

    • Spuštění Průvodce rozmístěním
    • Jak upravit administrativní obraz
    • Vytvořit nebo upravit rozmístění.
    • Určení umístění síťového protokolu
    • typ instalace Plná
    • typ instalace Plná
    • Výběr typu instalace klienta
    • Instalace volitelných nástrojů (volitelné)
    • Instalace dalších klientských nastavení (volitelné)
    • Výběr vyhledávacích cest a umístění souborů (volitelné)
    • Instalace dalších souborů (volitelné)
    • Zadání sériového čísla produktu
    • Zadání osobních informací
    • Zapnutí voleb Live Update (volitelné)
    • Zapnutí funkce DesignCenter Online (volitelné)
    • Zapnutí Centra pro předplatné (volitelné)
    • Dokončení registrace
    • Potvrzení a dokončení instalace


Spuštění Průvodce rozmístěním

Rozmístění programu
Rozmístění programu
Spuštění Průvodce rozmístěním

Po nainstalování Průvodce rozmístěním můžete spuštěním průvodce nastavit rozmístění. Více informací o instalaci Průvodce rozmístěním nabízí Instalace Průvodce rozmístěním.

Jak spustit Průvodce rozmístěním
  • V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] Autodesk [image] Průvodce rozmístěním.


Jak upravit administrativní obraz

Pomocí Průvodce rozmístěním můžete vytvořit nový administrativní obraz nebo upravit již existující. Administrativní obraz je kolekce sdílených zdrojových souborů vytvořených Průvodcem rozmístěním a používaných rozmístěním k instalaci programu na pracovní stanice v síti.

Jak vytvořit administrativní obraz Pokud vytvoříte administrativní obraz, je potřeba určit síťové umístění obrazu. Jedná se o umístění, kam mohou uživatelé instalovat produkt.

Jak upravit administrativní obraz Pokud upravujete administrativní obraz, vyberete existující administrativní obraz a proveďte u něj změny. Je možné například použít aktualizaci patch nebo vybrat různé uživatelské soubory, které nejsou součástí základního administrativního obrazu. Můžete také provést některé úpravy, například změnit instalační adresář z jednotky C na jednotku D.

Jak vytvořit administrativní obraz
  1. V Průvodci rozmístěním vyberte v dialogu Vítejte volbu Vytvořit administrativní obraz a potom klepněte na tlačítko Další.

  2. V dialogu Vytvořit administrativní obraz zadejte do pole Vyberte instalační (MSI) soubor cestu k souboru acad.msi (což je soubor MSI, na základě kterého vytvoříte administrativní obraz) nebo klepněte na tlačítko [...] a soubor vyhledejte. Tento soubor se nachází na disku CD-ROM produktu. Soubor acad.msi je umístěn ve složce CDROM:\BIN\ACADFeui.
  3. Do textového pole Umístění administrativního obrazu zadejte existující umístění síťového sdílení, kde chcete administrativní obraz vytvořit nebo stiskem tlačítka [...] umístění vyhledejte. Uživatelé budou program instalovat z tohoto umístění.
  4. Chcete-li při vytváření administrativního obrazu použít opravu patch, postupujte takto:
    • Vyberte volbu Aplikovat patch (service pack) na tento obraz.
    • Zadejte cestu k opravě patch do pole Vyberte patch (včetně přípony souboru .msp) nebo klepněte na tlačítko [...] a vyhledejte soubor MSP.

    Soubor aktualizace patch je obvykle obsažen ve spustitelné aktualizaci Service Pack, kterou stáhnete z webových stránek společnosti Autodesk. Chcete-li soubor MSP ze spustitelné části extrahovat, spusťte aktualizaci patch z příkazového řádku s přepínačem /e. Všimněte si umístění, kam budou soubory extrahovány.

    Poznámka Chcete-li zjistit, zda je k dispozici oprava patch, navštivte stránku podpory produktu společnosti Autodesk na adrese http://support.autodesk.com//.

  5. Stiskem tlačítka Další zobrazte dialog Vytvořit nebo upravit rozmístění.
Jak upravit administrativní obraz
  1. V Průvodci rozmístěním vyberte v dialogu Vítejte volbu Upravit administrativní obraz a potom klepněte na tlačítko Další.

  2. V dialogu Upravit administrativní obraz vyberte v poli Vyberte MSI soubor existující soubor (MSI) instalátoru společnosti Autodesk z umístění v existujícím síťovém sdílení obsahující administrativní obraz, který chcete upravit. Uživatelé budou program instalovat z tohoto umístění.

  3. Chcete-li při úpravě administrativního obrazu použít opravu patch, postupujte takto:
    • Stáhněte opravu patch ze stránky podpory produktu společnosti Autodesk a v souboru Readme pro danou opravu vyhledejte informace o použití opravy. Chcete-li opravu patch použít při vytváření administrativního obrazu, musí být ve formě souboru MSP.
    • Vyberte volbu Aplikovat patch (service pack) na tento obraz.
    • Zadejte cestu k opravě patch do pole Vyberte patch (včetně přípony souboru .msp) nebo klepněte na tlačítko [...] a vyhledejte soubor MSP.

    Soubor aktualizace patch je obvykle obsažen ve spustitelné aktualizaci Service Pack, kterou stáhnete z webových stránek společnosti Autodesk. Chcete-li soubor MSP ze spustitelné části extrahovat, spusťte aktualizaci patch z příkazového řádku s přepínačem /e. Všimněte si umístění, kam budou soubory extrahovány. Podrobnosti o použití souboru s opravou patch naleznete v souboru Readme pro danou opravu.

    Poznámka Chcete-li zjistit, zda je k dispozici oprava patch, navštivte stránku podpory produktu společnosti Autodesk na adrese http://support.autodesk.com/.

  4. Stiskem tlačítka Další zobrazte dialog Vytvořit nebo upravit rozmístění.


Vytvořit nebo upravit rozmístění.

Rozmístění programu
Rozmístění programu
Vytvořit nebo upravit rozmístění.

Rozmístění obsahuje soubor MST (Microsoft Transform), který upravuje výchozí chování instalačního programu. Průvodce rozmístěním můžete použít k vytvoření nebo úpravě rozmístění.

Vytvoření rozmístění Vytvoříte nové rozmístění. Název, který vyberete pro toto rozmístění, je název zástupce, jehož uživatelé použití při instalaci tohoto rozmístění. Také je to název souboru MST.

Úprava rozmístění Provedete změny existujícího rozmístění. Tato volba je dostupná pouze v případě, že již rozmístění existuje. Název, který vyberete pro toto rozmístění, je název zástupce, jehož uživatelé použití při instalaci tohoto rozmístění.

Jak vytvořit rozmístění
  1. V Průvodci rozmístěním vyberte v dialogu Vytvořit nebo upravit rozmístění volbu Vytvořit rozmístění.

  2. Zadejte název nového rozmístění do textového pole Zadejte název pro nové rozmístění. Zadaný název je název zástupce, jehož prostřednictvím budou uživatelé produkt instalovat.
  3. Stiskem tlačítka Další zobrazte dialog Zápis protokolu.
Jak upravit rozmístění
  1. V Průvodci rozmístěním vyberte v dialogu Vytvořit nebo upravit rozmístění volbu Upravit rozmístění.

  2. Ze seznamu výběru rozmístění pro úpravu vyberte rozmístění, které chcete upravit.
  3. Stiskem tlačítka Další zobrazte dialog Zápis protokolu.


Určení umístění síťového protokolu

Rozmístění programu
Rozmístění programu
Určení umístění síťového protokolu

Program obsahuje dva typy protokolů, s jejichž pomocí můžete sledovat informace o rozmístěních a instalacích.

  • Síťový protokol Síťový protokol uchovává záznamy o všech pracovních stanicích s rozmístěním. V tomto souboru naleznete informace a detaily o stavu a problémech, které uživatelé mohou mít během instalace (například málo prostoru na disku nebo neodpovídající přístupová práva). Síťový protokol je pojmenován stejně jako rozmístění. Zadáním platné cesty UNC (Universal Naming Convention) v síti můžete určit, kde bude protokol vytvořen.

    • Poznámka Adresář se síťový protokolem musí být sdílená složka, ke které mají uživatelé instalující program oprávnění Měnit. Jinak nebude možné zapsat do protokolu úspěch nebo selhání uživatelské aplikace.

  • Klientský protokol Klientský protokol obsahuje podrobné instalační informace o každé pracovní stanici. Tyto informace mohou být užitečné při odhalování problémů během instalace. Klientský protokol je umístěn v adresáři Temp každé klientské pracovní stanice. Klientský protokol je pojmenován stejně jako rozmístění.
Jak určit umístění protokolu
  1. V Průvodci rozmístěním zadejte v dialogu Zápis protokolu do pole Adresář kam je zapsán protokol adresář, do kterého bude síťový protokol umístěn.

  2. Pokud chcete vytvořit klientský protokol, vyberte v poli Klientský protokol volbu Vytvořit klientský protokol.
  3. Stiskem tlačítka Další zobrazte dialog Vyberte typ instalace.


typ instalace Plná

Rozmístění programu
Rozmístění programu
typ instalace Plná

Při nastavení rozmístění je nutné vybrat typ instalace, kterou budete rozmísťovat. V Průvodci rozmístěním můžete určit jeden z následujících typů instalace:

  • Instalace síťové licence Při tomto typu instalace nainstalujete program na pracovní stanice s takovými soubory a položkami registru, které umožňují komunikaci programu se Správcem síťových licencí. Také definujete konfiguraci Správce síťových licencí, aby měl přístup k licencím. Pracovní stanice, na kterých program běží na základě síťové instalace, nevyžadují individuální aktivaci. Licence programu jsou spravovány alespoň jedním licenčním serverem.
  • Samostatná instalace Tento typ instalace zvolte pro samostatnou instalaci (jedno sériové číslo na jednoho uživatele) nebo pro samostatnou instalaci pro více licencí (jedno sériové číslo pro více instalací). Ke správě licencí produktu nebudete používat Správce síťových licencí. Při samostatné instalaci provádíte instalaci, registraci a aktivaci programu na každé pracovní stanici. Při použití samostatné instalace pro více licencí nevyžadují pracovní stanice, na kterých program běží, individuální registraci a aktivaci. Po první aktivaci pomocí sériového čísla samostatné instalace pro více licencí proběhne aktivace automaticky u všech pracovních stanic s tímto rozmístěním, pokud jsou připojeny k Internetu.

    • Poznámka Pokud máte k dispozici sériové číslo samostatné instalace pro více licencí, můžete použít jednu licenci pro několik licencí programu.

Jak vybrat typ instalace síťové licence
  1. V Průvodci rozmístěním vyberte v dialogu Vyberte typ instalace volbu Síťová instalace. Stiskněte tlačítko Další.

  2. V dialogu Konfigurace serveru vyberte model licenčního serveru, který chcete použít se Správcem síťových licencí.

    3. Volby jsou následující:

    • Jediný licenční server
    • Distribuovaný licenční server
    • Redundantní licenční server

    Pokud jste již pomocí Správce síťových licencí vytvořili model licenčního serveru, je nutné vybrat v tomto kroku stejný model licenčního serveru. Jestliže jste ještě pomocí Správce síťových licencí model licenčního serveru nevytvořili, dbejte na to, abyste vybrali ve Správci síťových licencí stejná nastavení, jako jste vybrali zde.

    Podrobné informace o modelech licenčních serverů nabízí pasáž Modely licenčního serveru v dokumentaci Příručka síťových licencí, která je umístěna v systému nápovědy a na kartě Dokumentace v Prohlížeči médií.

  3. Pokud v kroku 2 vyberete volbu Jediný licenční server, zadejte v okně Konfigurace s jedním serverem název serveru, na kterém bude spuštěn Správce síťových licencí, nebo klepněte na tlačítko [...] a vyhledejte server. Do textového pole Hostitelské ID serveru zadejte hostitelské ID nebo stiskněte tlačítko Najít a ID bude zadáno automaticky. Stiskem tlačítka Další zobrazte dialog Umístění klientské instalace.

  4. Pokud v kroku 2 zvolíte Distribuovaný licenční server, zadejte v dialogu Konfigurace distribuovaného serveru do pole Název serveru název jednoho ze serverů, na kterém bude spuštěn Správce síťových licencí, nebo klepněte na tlačítko [...] a vyhledejte server. Do pole Hostitelské ID serveru zadejte odpovídající hostitelské ID nebo je klepnutím na tlačítko Najít doplňte automaticky, případně klepněte na tlačítko Přidat a přidejte ID hostitelského serveru. V seznamu Fond serverů uspořádejte pomocí tlačítek šipek Nahoru a Dolů pořadí serverů, podle kterého budou vyhledávány uživatelskou pracovní stanicí. Hostitelské ID každého serveru se zobrazí v závorkách vedle názvů serverů. Je nutné zadat informace pro nejméně dva servery. Stiskem tlačítka Další zobrazte dialog Umístění klientské instalace.

  5. Pokud v kroku 2 vyberete Redundantní licenční server, zadejte v okně Konfigurace redundantního serveru do pole Název prvního serveru název jednoho ze serverů, na kterém bude spuštěn Správce síťových licencí, nebo klepněte na tlačítko [...] a vyhledejte server. Do pole Hostitelské ID prvního serveru zadejte odpovídající hostitelské ID nebo je klepnutím na tlačítko Najít doplňte automaticky. Zadejte název serveru a hostitelské ID serveru zbývajících dvou severů, které budete používat v redundantním fondu serverů. Stiskem tlačítka Další zobrazte dialog Umístění klientské instalace.

    6. Poznámka Jestliže nevíte, jak získat informace o hostitelském názvu serveru a hostitelském ID serveru, nahlédněte do pasáže Plánování konfigurace licenčního serveru v dokumentaci Příručka síťových licencí. Příručka síťových licencí se nachází v systému nápovědy a na kartě Dokumentace v Prohlížeči médií.

Jak vybrat samostatnou instalaci nebo samostatnou instalaci pro více licencí
  1. V Průvodci rozmístěním vyberte v dialogu Vyberte typ instalace volbu Samostatná instalace.

  2. Stiskem tlačítka Další zobrazte dialog Umístění klientské instalace.


typ instalace Plná

Rozmístění programu
Rozmístění programu
typ instalace Plná

Vyberte umístění, kam budou na klientské pracovní stanici nainstalovány soubory programu. Implicitně jsou soubory instalovány do složky C:\Program Files\AutoCAD 2006.

Jak vybrat umístění klientské instalace
  1. V Průvodci rozmístěním zadejte v dialogu Umístění klientské instalace do pole Instalační cesta klienta cestu k pracovní stanici klienta, kam chcete program nainstalovat. (Výchozí instalační cesta je C:\Program Files\AutoCAD 2006.)

  2. Chcete-li zabránit uživatelům před změnou instalačních nastavení při instalaci produktu, vyberte volbu Klientské instalace budou spuštěny v tichém módu.
  3. Stiskem tlačítka Další zobrazte dialog Typ instalace klienta.


Výběr typu instalace klienta

Rozmístění programu
Rozmístění programu
Výběr typu instalace klienta

V rámci voleb rozmístění vyberete typy instalačních funkcí, které uživatelé získají při instalaci programu.

  • Typická Budou nainstalovány nejběžnější funkce aplikace. Tato volba je doporučena pro většinu uživatelů.
  • Uživatelská Budou nainstalovány pouze vybrané funkce aplikace.
Jak vybrat typ instalace klienta
  1. V Průvodci rozmístěním vyberte v dialogu Typ instalace klienta požadovaný typ instalace: Typická nebo Uživatelská. Stiskněte tlačítko Další.

  2. Pokud vyberete v předchozím kroku typ instalace Uživatelská, zobrazí se dialog Vyberte funkce. Zde můžete vybrat funkce, které chcete instalovat. Vyberte požadovanou jednu nebo více funkcí a potom stiskněte tlačítko Další.

    3. Volby jsou následující:

    • Databáze Obsahuje nástroje pro přístup k databázi.
    • Slovníky Obsahuje vícejazyčné slovníky.
    • Šifrování výkresů Umožňuje použít dialog Bezpečnostní možnosti pro ochranu výkresu heslem.
    • Express Tools Obsahuje podpůrné nástroje a pomůcky.
    • Písma Obsahuje písma programu a písma True Type.
    • Migrace uživatelských nastavení Umožňuje migrovat uživatelská nastavení a soubory ze starších verzí. Podrobnosti o migrování uživatelských nastavení nabízí téma Migrace uživatelských nastavení v příručce Instalační příručka samostatné verze.
    • Co je nového Nabízí animované ukázky, cvičení a vzorové soubory pro seznámení s novými funkcemi.
    • Pomůcka pro přenos licencí Obsahuje nástroj pro přesun samostatné licence mezi počítači (dostupné pouze se samostatným rozmístěním).
    • Správce referencí Umožňuje uživatelům zobrazit a upravit cesty externích referenčních souborů asociovaných s výkresem.
    • Příklady Obsahuje různé vzorové soubory.
    • Textury Obsahuje textury, které mohou být přiřazeny k objektům.
    • Podpora VBA Nabízí soubory podpory VBA (Microsoft Visual Basic for Applications).
    • CAD standardy Nabízí nástroje pro kontrolu souborů návrhu z hlediska vyhovění příslušným normám.


Instalace volitelných nástrojů (volitelné)

Rozmístění programu
Rozmístění programu
Instalace volitelných nástrojů (volitelné)

V dialogu Nainstalovat volitelné nástroje můžete vybrat některé volitelné nástroje, které chcete použít v rozmístění.

  • Nainstalovat nástroje Express Tools S tímto rozmístěním můžete nainstalovat nástroje Express Tools. Tato volba je implicitně zapnutá. Nástroje Express Tools jsou k dispozici pouze v angličtině a nejsou podporovány. U těchto nástrojů nebyly provedeny žádné aktualizace. Dvoubajtové znaky nejsou podporovány.
  • Nainstalovat součást Publikování 3D DWF S rozmístěním můžete nainstalovat součást Publikování 3D DWF. Tato volba je implicitně zapnutá. Součást Publikování 3D DWF je k dispozici v předběžné verzi. Nepodporovaný příkaz PUBLIK3DDWF publikuje jednolistové soubory DWF.
Jak nainstalovat volitelné nástroje
  1. Pokud nechcete s rozmístěním nainstalovat uvedené nástroje, zrušte zaškrtnutí políček Nainstalovat nástroje Express Tools a Nainstalovat součást Publikování 3D DWF v dialogu Nainstalovat volitelné nástroje v Průvodci rozmístěním.

  2. Stiskem tlačítka Další přejdete do dialogu Vyhledávací cesty a umístění souborů.


Instalace dalších klientských nastavení (volitelné)

Rozmístění programu
Rozmístění programu
Instalace dalších klientských nastavení (volitelné)

Na stránce Instalovat další klientská nastavení můžete určit, zda mají instalace založené na tomto rozmístění pokračovat, pokud není nainstalována aplikace Microsoft Internet Explorer, zadat výchozí název profilu a zobrazit ikonu zástupce produktu na ploše.

Jak nainstalovat další klientská nastavení
  1. Pokud nepožadujete, aby byla před instalací programu AutoCAD nainstalována aplikace Microsoft Internet Explorer, zrušte zaškrtnutí políčka Požadována aplikace Microsoft Internet Explorer v dialogu Instalovat další klientská nastavení v Průvodci rozmístěním.
  2. Do pole Název profilu zadejte výchozí název profilu, který bude aktuální pro všechny uživatele, kteří spustí toto rozmístění.
  3. Pokud nechcete na ploše uživatele zobrazit zástupce programu, zrušte zaškrtnutí políčka Zobrazit zástupce produktu AutoCAD 2006 na ploše uživatele.
  4. Stiskněte tlačítko Další.


Výběr vyhledávacích cest a umístění souborů (volitelné)

Rozmístění programu
Rozmístění programu
Výběr vyhledávacích cest a umístění souborů (volitelné)

V dialogu Vyhledávací cesty a umístění souborů můžete upravit výchozí vyhledávací cesty a umístění některých souborů programu. Výchozí nastavení, která jsou zde uvedená, můžete chtít upravit z následujících důvodů:

  • Pokud prostředí CAD používá soubor (například soubor uživatelských úprav), který je jiný než výchozí soubor instalovaný s programem, můžete tento soubor nyní vybrat, abyste jej nemuseli později přidávat do každé pracovní stanice.
  • Některá výchozí umístění souborů mohla být v této verzi programu změněna. Pokud máte starší verzi programu, můžete pomocí tohoto dialogu přesunout soubory do stejného umístění, jaké používala tato starší verze.

Poznámka Vyhledávací cesty a umístění souborů můžete také u jednotlivých pracovních stanic upravit po instalaci programu. To můžete provést pomocí dialogu Možnosti. Více informací nabízí část Nastavení možností rozhraní v dokumentaci Uživatelská příručka.

Tento dialog obsahuje dvě volby.

  • Použít výchozí hodnoty aplikace Ponechá výchozí nastavení vyhledávacích cest a umístění souborů.
  • Upravit výchozí Umožňuje upravit výchozí nastavení vyhledávacích cest a umístění souborů.

Jak použít výchozí nastavení vyhledávacích cest a umístění souborů
  • V Průvodci rozmístěním se v dialogu Vyhledávací cesty a umístění souborů ujistěte, že je vybrána volba Použít výchozí hodnoty aplikace. Stiskem tlačítka Další zobrazíte dialog Instalace dalších souborů.
Jak upravit výchozí nastavení vyhledávacích cest a umístění souborů
  1. V Průvodci rozmístěním vyberte v dialogu Vyhledávací cesty a umístění souborů položku Upravit výchozí.
  2. Stiskněte tlačítko Určete nastavení.
  3. V dialogu Určete nastavení klepnutím na znaménko plus (+) na levé straně vyhledávací cesty nebo umístění souboru v seznamu Vyhledávací cesty, názvy souborů a umístění souborů tyto položky vyberete a rozbalíte.

  4. Vyberte položku ze seznamu a proveďte cokoli z následujícího:
    • Chcete-li vyhledat umístění souboru, stiskněte tlačítko Procházet.
    • Chcete-li přidat novou položku do aktuálně vybrané vyhledávací cesty nebo umístění souboru, stiskněte tlačítko Přidat.
    • Chcete-li odstranit položku z aktuálně vybrané vyhledávací cesty nebo umístění souboru, stiskněte tlačítko Odstranit.
    • Chcete-li přesunout výběr v seznamu nahoru nebo dolů, stiskněte tlačítko Nahoru nebo Dolů.

    Poznámka Dostupnost těchto tlačítek závisí na položce, kterou vyberete v předchozím kroku.

  5. Po skončení zadávání vyhledávacích cest nebo umístění souborů stiskněte tlačítko OK.
  6. V dialogu Vyhledávací cesty a umístění souborů přejděte stiskem tlačítka Další do dialogu Instalace dalších souborů.


Instalace dalších souborů (volitelné)

Rozmístění programu
Rozmístění programu
Instalace dalších souborů (volitelné)

V dialogu Instalace dalších souborů můžete klepnutím na tlačítko Vybrat soubory určit další soubory, které budou zahrnuty do rozmístění. Při spuštění rozmístění jsou tyto soubory implicitně instalovány do instalačního adresáře programu na klientských pracovních stanicích. Soubory můžete podle potřeby instalovat do více adresářů.

Je možné provést následující operace:

  • Zadat další soubory (například výkresové soubory, procedury AutoLISP® nebo skriptové soubory), které zahrnete do rozmístění.
  • Instalovat různé typy souborů do různých adresářů pracovní stanice.
  • Přidat podadresáře do instalačního adresáře (například složku s názvem LSP, která bude obsahovat vlastní procedury AutoLISP).
  • Přidat soubory do stejného umístění jako soubory programu (například ukázkové výkresy pro projekt).
  • Přidat soubory do kořene instalačního adresáře (například C:\\Draw).

Poznámka Tyto soubory je doporučeno instalovat do umístění v rámci struktury adresářů programu. Soubory nelze instalovat se stejným názvem souboru jako soubor programu. Například nemůžete přidat soubor pojmenovaný acad.cui.

Jak nainstalovat další soubory
  1. V Průvodci rozmístěním klepněte v dialogu Instalace dalších souborů na tlačítko Vybrat soubory.

    2. V dialogu Vyberte soubory pro instalaci můžete v seznamu Přidat soubory do přidat do instalačního adresáře rozmístění složky, jednotky a soubory.

  2. Proveďte kterýkoli z následujících postupů:
    • Stiskem tlačítka Vybrat soubory zobrazte dialog Přidat soubory, kde můžete vybrat soubory, které přidáte do instalačního adresáře.
    • Stiskem tlačítka Přidat složku vytvořte v instalačním adresáři novou složku.
    • Stiskem tlačítka Přidat disk zadejte v instalačním adresáři nový název jednotky.
    • Stiskem tlačítka Odstranit odstraňte z instalačního adresáře soubor, složku nebo jednotku.
  3. Stiskněte tlačítko Další.
  4. V Průvodci rozmístěním zobrazte klepnutím na tlačítko Další v dialogu Instalace dalších souborů dialog Sériové číslo.


Zadání sériového čísla produktu

Rozmístění programu
Rozmístění programu
Zadání sériového čísla produktu

Chcete-li produkt spustit, je nutné v Průvodci rozmístěním zadat sériové číslo produktu. Sériové číslo produktu naleznete na balení produktu. Sériové číslo musí obsahovat předponu (3 číslice) a číslo (8 číslic).

Jak zadat sériové číslo produktu
  1. V dialogu Sériové číslo v Průvodci rozmístěním zadejte sériové číslo daného produktu.

  2. Stiskem tlačítka Další zobrazte dialog Osobní informace.


Zadání osobních informací

Rozmístění programu
Rozmístění programu
Zadání osobních informací

Dialog Osobní informace se používá k personalizaci programu pro účely společnosti. Zde zadané informace jsou trvalé a jsou zobrazeny v okně O <název produktu> (které zpřístupníte pomocí příkazu Nápověda [image] O produktu) na všech pracovních stanicích, do kterých je rozmístění nainstalováno. Protože tyto informace nelze později změnit bez odinstalování produktu, ujistěte se, že jste nyní zadali tyto informace správně.

Jak zadat osobní informace
  1. V Průvodci rozmístěním zadejte v dialogu Osobní informace požadované informace.

    2. Poznámka I když je požadováno zadání informací do každého textového pole v dialogu, můžete zadat libovolné informace, které chcete sdělit uživatelům instalující rozmístění.

  2. Stiskem tlačítka Další zobrazte dialog Live Update.


Zapnutí voleb Live Update (volitelné)

Rozmístění programu
Rozmístění programu
Zapnutí voleb Live Update (volitelné)

Produkty jsou aktualizovány pomocí funkce Live Update, která stahuje pomocí Komunikačního centra aktualizace patch produktu. Uživatelé mohou použít funkci Live Update ke kontrole aktualizací při zahájení připojení k Internetu. Je-li k dispozici oprava patch produktu, je ve stavovém řádku programu zobrazeno oznámení o její dostupnosti a tato oprava může být stažena přímo ze serveru společnosti Autodesk nebo před zkopírováním do uživatelské pracovní stanice upravena. Nechcete-li, aby uživatelé přijímali aktualizace nebo oznámení, můžete funkci Live Update vypnout.

Poznámka Funkci Live Update můžete také zapnout nebo vypnout v pomůcce CAD správce, kterou spustíte z karty Instalace v Prohlížeči médií.

Jak zapnout nebo vypnout volby Live Update
  1. V Průvodci rozmístěním vyberte v dialogu Live Update jednu z následujících voleb:
    • Vypnout funkci Live Update Pokud je vybrána tato volba, nemohou uživatelé pomocí funkce Live Update přijímat aktualizace produktu a oznámení o podpoře ze serverů společnosti Autodesk.
    • Získávat Live update aktualizace od Autodesku Pokud je tato volba zapnutá, mohou uživatelé pomocí funkce Live Update přijímat aktualizace produktu a oznámení o podpoře ze serverů společnosti Autodesk.
    • Získávat Live update aktualizace z interního serveru Je-li vybrána tato volba, můžete uchovávat seznam aktualizací patch na lokálním serveru. Pokud tyto volbu vyberete, bude dostupné textové pole Umístění lokálního seznamu patchů. Pomocí tlačítka [...] vyhledejte cestu k umístění serveru, kde bude seznam aktualizací patch umístěn. Další informace o použití lokálního seznamu aktualizací patch získáte instalací Nástroje CAD správce Autodesk 3.0 (k dispozici v Prohlížeči médií), spuštěním Pomůcky CAD správce a klepnutím na položku Nápověda v okně této pomůcky.

      • Poznámka Textový soubor, který se bude používat k zadávání informací o aktualizacích patch, můžete pojmenovat. Pojmenováním souboru pomocí přípony TXT vytváříte pouze cestu k tomuto souboru, ne vlastní soubor. V zadaném umístění v poli Umístění lokálního seznamu patchů je nutné vytvořit textový soubor se stejným názvem, jako jste zadali zde.

  2. Stiskem tlačítka Další zobrazíte dialog DC Online.


Zapnutí funkce DesignCenter Online (volitelné)

Rozmístění programu
Rozmístění programu
Zapnutí funkce DesignCenter Online (volitelné)

Karta DC online v okně DesignCenter™ nabízí přístup k předkreslenému obsahu, například k blokům, knihovnám symbolů, obsahu výrobce a online katalogům. Tento obsah může být použit v běžných návrhářských aplikacích a pomáhá uživatelům při tvorbě výkresu. Pokud volbu DC online vypnete, karta DC online se odstraní ze všech instalací tohoto rozmístění. Volba Vypnout DC online je implicitně vypnuta.

Poznámka Funkci DesignCenter online můžete také zapnout nebo vypnout v pomůcce CAD správce, kterou spustíte z karty Instalace v Prohlížeči médií.

Jak zapnout nebo vypnout funkci DesignCenter Online
  1. V Průvodci rozmístěním v dialogu DC online postupujte následovně:
    • Chcete-li funkci DesignCenter online vypnout, ujistěte se, že je zapnutá volba Vypnout DC online.
    • Chcete-li funkci DesignCenter Online zapnout, vypněte volbu Vypnout DC online.

  2. Stiskněte tlačítko Další.


Zapnutí Centra pro předplatné (volitelné)

Rozmístění programu
Rozmístění programu
Zapnutí Centra pro předplatné (volitelné)

Centrum pro předplatné poskytuje zdroje informací, jako je například e-Learning (interaktivní lekce, které si můžete přizpůsobit vlastnímu tempu) a webová podpora (kde mohou zákazníci odesílat technické dotazy online na oddělení podpory společnosti Autodesk).

Můžete zjistit, zda uživatelé s oprávněním využívat zdroje informací v rámci předplatného, mají k těmto zdrojům přístup, a to zobrazením nápovědy a klepnutím na položku Zdroje informací v rámci předplatného. Uživatelé bez tohoto přístupu mohou pomocí stejné možnosti v nabídce Nápověda získat informace o zdrojích informací, které jsou k dispozici v rámci předplatného.

Poznámka Přístup k Centru pro předplatné můžete zapnout nebo vypnout pomocí Pomůcky CAD správce, kterou spustíte na kartě Instalace v Prohlížeči médií.

Jak zapnout nebo vypnout přístup k Centru pro předplatné
  1. V dialogu Přístup k Centru pro předplatné v Průvodci rozmístěním zaškrtněte nebo zrušte zaškrtnutí políčka vedle volby Povolit přístup k Centru pro předplatné z produktu Autodesk (doporučeno). Tato volba je implicitně zapnutá.

  2. Stiskněte tlačítko Další.

Dialog Registrujte dnes se zobrazí, vyberete-li si spuštění typu instalace samostatné verze. Pokud spuštění instalace samostatné verze nevyberete, zobrazí se dialog Potvrzení instalace.


Dokončení registrace

Rozmístění programu
Rozmístění programu
Dokončení registrace

Pokud jste vybrali spuštění samostatného typu instalace (pro jednoho uživatele nebo samostatné instalace pro více licencí), zobrazí se dialog Registrujte dnes. Nyní proveďte registraci, aby měli všichni uživatelé stejné výchozí registrační informace.

V průvodci registrací dokončete registraci podle pokynů na obrazovce. Po skončení registrace se zobrazí okno Potvrzení instalace.


Potvrzení a dokončení instalace

Rozmístění programu
Rozmístění programu
Potvrzení a dokončení instalace

Chcete-li instalaci rozmístění dokončit, je nutné potvrdit nastavení, která jste vybrali v Průvodci rozmístěním.

Jak potvrdit a dokončit instalaci rozmístění
  1. V Průvodci rozmístěním ověřte v dialogu Potvrzení instalace instalační volby.
  2. Pokud chcete změnit některou z voleb rozmístění, stiskněte tlačítko Zpět.
  3. Jestliže jste připraveni rozmístění dokončit, stiskněte v dialogu Potvrzení instalace tlačítko Další.

    4. Poznámka Instalační informace zobrazené v tomto dialogu můžete uložit výběrem textu, zkopírováním a vložením tohoto textu do textového souboru (například Poznámkový blok). Textový soubor potom uložte do stejného umístění a se stejným názvem, jaký jste vybrali pro rozmístění. Doporučuje se, abyste to provedli, chcete-li mít informace o všech volbách provedených u rozmístění.

  4. V dialogu Instalace dokončena v Průvodci rozmístěním klepněte na tlačítko Dokončit.

Blahopřejeme! Vytvořili jste rozmístění produktu společnosti Autodesk pomocí přesných voleb, které jsou charakteristické pro vaši skupinu uživatelů. Nyní můžete pomocí tohoto rozmístění oznámit, kde je umístěn administrativní obraz, aby si tito uživatelé mohli program nainstalovat.


Nasměrování uživatele k administrativnímu obrazu

Rozmístění programu
Rozmístění programu
Nasměrování uživatele k administrativnímu obrazu

Dokončíte-li Průvodce rozmístěním, mohou uživatelé instalovat nově vytvořené nebo upravené rozmístění. Uživatele je nutné upozornit na zástupce vytvořeného v administrativním obrazu. Zástupce má stejný název, jaký jste vybrali v pasáži Vytvořit nebo upravit rozmístění..

Jak nasměrovat uživatele k administrativnímu obrazu
  • Nejjednodušším způsobem, jak uživatele informovat o instalaci rozmístění, je odeslání pokynů o použití zástupce elektronickou poštou. Pokyny musejí přinejmenším obsahovat umístění rozmístění a instrukce o poklepání na zástupce rozmístění.

Poznámka Pokročilejší způsoby spuštění zástupce a instalaci rozmístění nabízí Ohlášení rozmístění pomocí MSI, Použití skriptů k rozmístění programu, Instalace rozmístění pomocí zásad skupin, Instalace rozmístění pomocí serveru SMS nebo Instalace rozmístění pomocí služeb vzdálené instalace.


Odinstalování programu

Rozmístění programu
Rozmístění programu
Odinstalování programu

Při odinstalování programu jsou odebrány všechny jeho součásti. To znamená, že i když jste předtím přidávali nebo odstraňovali součásti nebo znovu instalovali nebo opravovali program, budou při odinstalování ze systému odstraněny všechny instalační soubory programu.

Poznámka Pokud chcete administrativní obraz upravit později (například přidáním aktualizace patch), tento obraz neodstraňujte.

Jak odinstalovat program
  1. V Ovládacích panelech poklepejte na ikonu Přidat nebo odebrat programy.
  2. V dialogu Přidat nebo odebrat programy vyberte program a klepněte na tlačítko Odebrat.
  3. Klepnutím na tlačítko Ano v zobrazeném dialogu program odeberte.
  4. Až budete vyzváni, restartujte počítač.

Poznámka Doplňkové programy společnosti Autodesk (například prohlížeč Autodesk DWF Viewer) nejsou při odinstalování programu automaticky odebrány. Je nutné je odinstalovat samostatně pomocí dialogu Přidat nebo odebrat programy.


Ohlášení rozmístění pomocí MSI

Ohlašování je metoda rozmístění, pomocí níž nabízíte přístup k centralizovanému programu z pracovních stanic. Administrativní obraz vytvoříte v centrálním umístění a potom instalujete na každou pracovní stanici zástupce programu. Pokud klepnete na zástupce, bude program nainstalován do pracovní stanice.

Pro správnou funkci produktu AutoCAD je třeba, aby byl v počítači nainstalován následující software:

  • Rozhraní Microsoft .NET 1.1 s aktualizací Service Pack 1 (k dispozici na disku CD s produktem)
  • Aplikace Internet Explorer verze 6.0 s aktualizací Service Pack 1 nebo novější (aplikaci Microsoft Internet Explorer lze stáhnout z webu společnosti Microsoft na adrese www.microsoft.com).
  • Balíček Instalační služby systému Windows (MSI) 3.0
  • Přehrávač Macromedia Flash™ Player 7.0.19.0
  • Prohlížeč Autodesk DWF Viewer®
  • Součásti MDAC (Microsoft Data Access Components) 2.7

Témata v této části:

  • Ohlášení rozmístění


Ohlášení rozmístění

Ohlášení rozmístění pomocí MSI
Ohlášení rozmístění pomocí MSI
Ohlášení rozmístění

Po vytvoření administrativního obrazu ve sdíleném adresáři můžete program instalací zástupce zpřístupnit uživatelům. Název programu je přidán do nabídky Start (Windows) a do seznamu Přidat nebo odebrat programy.

Jak ohlásit rozmístění pomocí MSI 3.0
  1. Na pracovní stanici uživatele vyberte v nabídce Start (systém Windows) položku Všechny programy (nebo Programy) [image] Příslušenství [image] Příkazový řádek.
  2. Chcete-li nainstalovat zástupce, zadejte na příkazovém řádku:
    3. msiexec /jm \\[název_serveru]\[název_sdílení]\AdminImage\acad.msi /t \\[název_serveru]\[název_sdílení]\AdminImage\[název_rozmístění].mst

Program je nyní ohlášen. Chce-li uživatel nainstalovat program na pracovní stanici, klepne na zástupce programu v nabídce Start (Windows). Tento způsob nainstaluje program na pracovní stanici s minimálními výzvami na uživatele.


Použití skriptů k rozmístění programu

Skript provádí příkaz nebo sadu příkazů. Skripty jsou podobné dávkovým souborům, ale jsou flexibilnější. Instalační skripty jsou nejužitečnější pro instalace samostatných verzí programů na počítače připojené do sítě. Skripty jsou také vhodné pro instalaci aktualizací service pack, doplňků a object enablerů v síti.

Pro správnou funkci produktu AutoCAD je třeba, aby byl v počítači nainstalován následující software:

  • Rozhraní Microsoft .NET 1.1 s aktualizací Service Pack 1 (k dispozici na disku CD s produktem)
  • Aplikace Internet Explorer verze 6.0 s aktualizací Service Pack 1 nebo novější (aplikaci Microsoft Internet Explorer lze stáhnout z webu společnosti Microsoft na adrese www.microsoft.com).
  • Balíček Instalační služby systému Windows (MSI) 3.0
  • Skript jazyka VB
  • Přehrávač Macromedia Flash™ Player 7.0.19.0
  • Prohlížeč Autodesk DWF Viewer®
  • Součásti MDAC (Microsoft Data Access Components) 2.7

Témata v této části:

  • Úvod
  • Tvorba skriptů, které instalují programy
  • Vzorový instalační skript
  • Použití přepínačů ve skriptech
  • Použití příznaků k určení informací uživatelského rozhraní ve skriptech
  • Skripty pro uživatelskou instalaci
  • Spuštění skriptů
  • Vzorové skripty


Úvod

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Úvod

Pomocí Instalační služby systému Windows® (MSI) můžete používat skripty k instalaci produktů bez účasti uživatele, který skript pouze spustí.

Systémové požadavky pro psaní skriptů v aplikaci Visual Basic®Scripting Edition (VBS Scripts) jsou následující:

  • Instalační služba systému Microsoft Windows verze 3.0 nebo novější
  • Microsoft Scripting Engine
  • Oprávnění správce (na všech počítačích se systémem Windows XP Professional, Windows XP Home nebo Windows 2000).

Instalační služba systému Windows je instalační a konfigurační program, který je instalován do systému při instalaci tohoto programu. Je obsažen v operačních systémech Windows XP Professional, Windows XP Home a Windows 2000. Chcete-li se o technologii instalační služby Microsoft Windows dozvědět více, navštivte webové stránky společnosti Microsoft.

Poznámka K instalaci tohoto programu je třeba použít Instalační službu systému Windows (WindowsInstaller-KB884016-v2-x86.exe) verze 3.0 nebo novější. Pokud máte nainstalovanou starší verzi, můžete nainstalovat novější verzi z disku CD s produktem. Vyhledejte na disku CD složku MSI a spusťte soubor WindowsInstaller-KB884016-v2-x86.exe.

Vzorové skripty v tomto dodatku jsou založeny na nástroji Microsoft Scripting Engine 5.6, který funguje jak s VBScriptem, tak s JavaScriptem. Pokud nemáte nainstalován skriptovací modul, můžete si jej bezplatně stáhnout z webových stránek společnosti Microsoft na adrese msdn.microsoft.com/scripting. Vzorové skripty a soubory nápovědy jsou tam rovněž dostupné ke stažení.


Tvorba skriptů, které instalují programy

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Tvorba skriptů, které instalují programy

Skript vytvoříte pomocí textového editoru, například Poznámkový blok, a potom jej uložíte do souboru ve formátu ASCII s příponou VBS. Skripty se skládají z jednoho nebo více příkazů, z přepínačů příkazu, které volby určují, a z příznaků, které volby upravují. Instalační skript také obsahuje názvy cest.

Instalační skript odkazuje na umístění souboru setup.exe produktu. Je třeba odkazovat na soubor setup.exe na disku CD s produktem. Příklad:

AutoCAD 2006 CDROM\Bin\ACADFeui\setup.exe


Vzorový instalační skript

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Vzorový instalační skript

Vzorový skript pro tichou instalaci programu používá syntaxi uvedenou v následující části. (Tento skript je stejný, jako později v tomto dodatku uvedený vzorový skript 1.)

' Typická instalace programu AutoCAD 2006

' Vytvoření proměnných

  dim strADSKFirstName

  strADSKFirstName = "Křestní jméno"

  dim strADSKLastName

  strADSKLastName = "Příjmení"

  dim strDealer

  strDealer = "Prodejce"

  dim strDealerPhone

  strDealerPhone = "411"

' Vytvoří proměnnou pro uložení názvu prodejce.

  dim strADSKCompany

  strADSKCompany = "Název společnosti"

' Vytvoření proměnných pro uložení sériového čísla

  Dim strADSKSNPrefix

  strADSKSNPrefix = "000"

  dim strADSKSNNumber

  strADSKSNNumber = "00000000"

Set shell = CreateObject("WScript.Shell")

' Vytvoření proměnné pro uložení umístění instalace s dlouhým názvem souborů.

  Dim strProgPath

  strProgPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")

  dim strADSKPath

  strADSKPath = strProgPath + "\AutoCAD 2006"

' Vytvoření proměnné pro uložení zdrojové cesty k programu AutoCAD 2006

  Dim strSourcePath

' Kde D: je disk CD-ROM s produktem

  strSourcePath = "D:\Bin\acadFeui"

'

' /q pro tichou instalaci ' /c [klíč] přepíše parametry klíče

 shell.run strSourcePath & "\setup.exe /q /c acad:" & """" & _

  "INSTALLDIR=\"& """" & strADSKPath & "\" & """" & "" &_

  "REBOOT=Suppress /qb!" & " " & _

  "ACAD_SILENT_LICENSE=YES" & " " & _

  "ACADSERIALPREFIX=" & strADSKSNPrefix & " " & _

  "ACADSERIALNUMBER=" & strADSKSNNumber & " " & _

  "ACADFIRSTNAME=\" & """"& strADSKFirstName & "\" & """" & " " & _

  "ACADLASTNAME=\" & """"& strADSKLastName & "\" & """" & " " & _

  "ACADDEALER=\" & """"& strDealer & "\" & """" & " " & _

  "ACADDEALERPHONE=\" & """"& strDealerPhone & "\" & """" & " " & _

  "ACADORGANIZATION=\" & """" & strADSKCompany & "\" & """" & " " & _

  "INSTALLLEVEL=3

" & """"


Použití přepínačů ve skriptech

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Použití přepínačů ve skriptech

V následující tabulce jsou uvedeny všechny přepínače důležité pro instalaci.

Poznámka Instalační přepínač je třeba nastavit na hodnotu INSTALLDIR=. Pokud tak neučiníte, nebudou nainstalovány programy, které jsou spuštěny mimo rámec produktu AutoCAD (například Pomůcka pro přenos licencí).

Přepínače v instalačních skriptech
Přepínač | Popis
INSTALLDIR= | Určuje umístění pro instalaci produktu.
ACAD_SILENT_LICENSE=YES | Nastaví tiché licenční ujednání.
ACADSERIALPREFIX= | Určuje čísla před spojovníkem v sériovém čísle.
ACADSERIALNUMBER= | Určuje sériové číslo.
INSTALLLEVEL= | Určuje typ instalace: 3=Typická
ACADFIRSTNAME= | Určuje křestní jméno pro personalizaci.
ACADLASTNAME= | Určuje příjmení pro personalizaci.
ACADORGANIZATION= | Určuje název společnosti.
ACADDEALER= | Určuje název prodejce.
ACADDEALERPHONE= | Určuje telefonní číslo prodejce.


Použití příznaků k určení informací uživatelského rozhraní ve skriptech

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Použití příznaků k určení informací uživatelského rozhraní ve skriptech

Pomocí příznaků v následující tabulce můžete určit uživatelské rozhraní zobrazené během instalace.

Příznaky uživatelského rozhraní
Příznak | Popis
q nebo qn | Žádné uživatelské rozhraní.
qn+ | Žádné uživatelské rozhraní, kromě modálního dialogu, zobrazeného na konci instalace.
qb | Základní uživatelské rozhraní.
qb+ | Základní uživatelské rozhraní s modálním dialogem zobrazeným na konci instalace. (Pokud uživatel instalaci zruší, dialog zobrazen nebude.)
qb– | Základní uživatelské rozhraní bez modálních dialogů.
qf | Plné uživatelské rozhraní s modálním dialogem zobrazeným na konci instalace.
qr | Redukované uživatelské rozhraní s modálním dialogem zobrazeným na konci instalace.


Skripty pro uživatelskou instalaci

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Skripty pro uživatelskou instalaci

Chcete-li vytvořit skript pro uživatelskou instalaci, použijte syntaxi ADDLOCAL=".....". (Viz Vzorový skript 2: Uživatelská instalace.)

Příznaky komponent
Příznak | Komponent
ACS | Příklady
DWF3D | Publikování 3D DWF
CADStandards | CAD standardy
Database | Databáze (DBCONNECT)
DCS | Příklady DesignCenter
Dictionaries | Slovníky
DrawingEncryption | Šifrování výkresů
Express_Tools | Express Tools
AmericanEnglish_Dictionary | Slovník americké angličtiny
Fonts | Písma
French_Canadian_Dictionary | Francouzsko-kanadský slovník
Migrate | Migrace vlastních nastavení
NFW | Co je nového
PLM | Pomůcka pro přenos licencí
RefMan | Správce referencí
Příklady | Vzorové soubory
System_Files | Požadované systémové soubory
TM | Textury
Cvičení | Cvičení
VBA | Visual Basic
VLS | Příklady Visual LISPu
VLT | Cvičení Visual LISPu


Spuštění skriptů

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Spuštění skriptů

Po vytvoření skriptu jej přesunete na server nebo použijete přiřazené písmeno jednotky nebo cestu UNC (Universal Naming Conventions). Pokud skript umístíte na server, odkud jej mohou uživatelé spouštět, vytvořte na serveru sdílení a potom přidejte do sdílení uživatele s příslušnými oprávněními. Protože každý uživatel pouze potřebuje spustit skript, nastavte ve sdílení oprávnění pouze pro čtení.

Dále na stejném nebo jiném serveru vytvořte adresář pro každý produkt, který chcete instalovat. Vyberte umístění tohoto adresáře, které nebudete měnit, abyste mohli směrovat na soubory MSI ve skriptech. Zkopírujte CD produktu do tohoto umístění. Rovněž můžete vytvořit adresáře pro aktualizace Service Pack, doplňky a vlastní uživatelské nástroje.

Chcete-li spustit instalační skript, můžete použít jednu z následujících metod:

  • Spusťte skript manuálně na každé pracovní stanici. Chcete-li spustit instalaci, vložte skript do dialogu Spustit nebo jej spusťte z příkazového řádku.
  • Odešlete elektronickou poštu s cestou UNC každému uživateli, který má skript spustit. Chcete-li, aby uživatelé skript spustili, měli by postupovat podle vašich pokynů.
  • Odešlete skript s pokyny k použití elektronickou poštou každému uživateli.
  • Nastavte skript, aby byl spuštěn po přihlášení.


Vzorové skripty

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Vzorové skripty

Vzorové skripty v této části instalují program v různých konfiguracích. Chcete-li si postup usnadnit, zkopírujte a dosaďte vlastní informace; stejné názvy se používají pro různé položky. Název protokolu je vytvořen při spuštění instalace produktu. Je možné použít název protokolu ve skriptu nebo jej změnit na jiný.

Předpona sériového čísla: 000

Sériové číslo: 00000000

Křestní jméno: Vaše křestní jméno

Příjmení: Vaše příjmení

Organizace: Název vaší organizace

Vzorový skript pro tichou instalaci používá syntaxi uvedenou v následující části. (Tento skript je stejný, jako později v tomto dodatku uvedený vzorový skript 1.)

Témata v této části:

  • Vzorový skript 1: Typická instalace
  • Vzorový skript 2: Uživatelská instalace


Vzorový skript 1: Typická instalace

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Vzorový skript 1: Typická instalace

' Typická instalace programu AutoCAD 2006

' Vytvoření proměnných

  dim strADSKFirstName

  strADSKFirstName = "Křestní jméno"

  dim strADSKLastName

  strADSKLastName = "Příjmení"

  dim strDealer

  strDealer = "Prodejce"

  dim strDealerPhone

  strDealerPhone = "411"

' Vytvoření proměnné pro uložení názvu prodejce.

  dim strADSKCompany

  strADSKCompany = "Název společnosti"

' Vytvoření proměnných pro uložení sériového čísla

  Dim strADSKSNPrefix

  strADSKSNPrefix = "000"

  dim strADSKSNNumber

  strADSKSNNumber = "00000000"

Set shell = CreateObject("WScript.Shell")

' Vytvoření proměnné pro uložení umístění instalace s dlouhým názvem souborů.

  Dim strProgPath

  strProgPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")

  dim strADSKPath

  strADSKPath = strProgPath + "\AutoCAD 2006"

' Vytvoření proměnné pro uložení zdrojové cesty k programu AutoCAD 2006

  Dim strSourcePath

' Kde D: je disk CD-ROM s produktem

  strSourcePath = "D:\Bin\acadFeui"

'

' /q pro tichou instalaci ' /c [klíč] přepíše parametry klíče

 shell.run strSourcePath & "\setup.exe /q /c acad:" & """" & _

  "INSTALLDIR=\"& """" & strADSKPath & "\" & """" & "" &_

  "REBOOT=Suppress /qb!" & " " & _

  "ACAD_SILENT_LICENSE=YES" & " " & _

  "ACADSERIALPREFIX=" & strADSKSNPrefix & " " & _

  "ACADSERIALNUMBER=" & strADSKSNNumber & " " & _

  "ACADFIRSTNAME=\" & """"& strADSKFirstName & "\" & """" & " " & _

  "ACADLASTNAME=\" & """"& strADSKLastName & "\" & """" & " " & _

  "ACADDEALER=\" & """"& strDealer & "\" & """" & " " & _

  "ACADDEALERPHONE=\" & """"& strDealerPhone & "\" & """" & " " & _

  "ACADORGANIZATION=\" & """" & strADSKCompany & "\" & """" & " " & _

  "INSTALLLEVEL=3" & """"


Vzorový skript 2: Uživatelská instalace

Použití skriptů k rozmístění programu
Použití skriptů k rozmístění programu
Vzorový skript 2: Uživatelská instalace

' Uživatelská instalace systémových souborů programu AutoCAD 2006, součásti Publikování 3D DWF, vzorových souborů a nástrojů Express Tools.

 ' Vytvoření proměnných

  dim strADSKFirstName

  strADSKFirstName = "Křestní jméno"

   dim strADSKLastName

  strADSKLastName = "Příjmení"

   dim strDealer

  strDealer = "Prodejce"

   dim strDealerPhone

  strDealerPhone = "411"

 ' Vytvoření proměnné pro uložení názvu prodejce.

  dim strADSKCompany

  strADSKCompany = "Název společnosti"

' Vytvoření proměnných pro uložení sériového čísla

  dim strADSKSNPrefix

  strADSKSNPrefix = "000"

   dim strADSKSNNumber

  strADSKSNNumber = "00000000"

 Set shell = CreateObject("WScript.Shell")

 ' Vytvoří proměnnou pro uložení umístění instalace s dlouhým názvem souborů.

  Dim strProgPath

  strProgPath = Shell.ExpandEnvironmentStrings("%ProgramFiles%")

   dim strADSKPath

  strADSKPath = strProgPath + "\AutoCAD 2006"

 ' Vytvoření proměnné pro uložení zdrojové cesty k programu AutoCAD 2006

  dim strSourcePath

' Kde D: je disk CD-ROM s produktem

  strSourcePath = "D:\Bin\acadFeui"

'

' /q pro tichou instalaci ' /c [klíč] přepíše parametry klíče

shell.run strSourcePath & "\setup.exe /q /c acad:" & """" & _

  "INSTALLDIR=\" & """" & strADSKPath & "\" & """" & " " & _

  "REBOOT=Suppress /qb!" & " " & _

  "ACAD_SILENT_LICENSE=YES" & " " & _

  "ACADSERIALPREFIX=" & strADSKSNPrefix & " " & _

  "ACADSERIALNUMBER=" & strADSKSNNumber & " " & _

  "ACADFIRSTNAME=\" & """"& strADSKFirstName & "\" & """" & " " & _

  "ACADLASTNAME=\" & """"& strADSKLastName & "\" & """" & " " & _

  "ACADDEALER=\" & """"& strDealer & "\" & """" & " " & _

  "ACADDEALERPHONE=\" & """"& strDealerPhone & "\" & """" & " " & _

  "ACADORGANIZATION=\" & """" & strADSKCompany & "\" & """" & "" & _

  "ADDLOCAL=\" & """" & "System_Files, DWF3D,ACS,Express_Tools" & "\" & """"


Instalace rozmístění pomocí zásad skupin

Pomocí zásad skupiny můžete program ohlásit přiřazením rozmístění k počítačům.

Pro správnou funkci produktu AutoCAD je třeba, aby byl v počítači nainstalován následující software:

  • Rozhraní Microsoft .NET 1.1 s aktualizací Service Pack 1 (k dispozici na disku CD s produktem)
  • Aplikace Internet Explorer verze 6.0 s aktualizací Service Pack 1 nebo novější (aplikaci Microsoft Internet Explorer lze stáhnout z webu společnosti Microsoft na adrese www.microsoft.com).
  • Balíček Instalační služby systému Windows (MSI) 3.0
  • Přehrávač Macromedia Flash™ Player 7.0.19.0
  • Prohlížeč Autodesk DWF Viewer®
  • Součásti MDAC (Microsoft Data Access Components) 2.7

Témata v této části:

  • Úvod
  • Distribuce rozmístění prostřednictvím zásad skupin
  • Přiřazení rozmístění k počítačům
  • Ověření instalace rozmístění


Úvod

Instalace rozmístění pomocí zásad skupin
Instalace rozmístění pomocí zásad skupin
Úvod

Pomocí objektů zásad skupiny lze program ohlásit libovolnému počítači, který je součástí prostředí služby Active Directory systému Windows2000 a Windows 2003.

Témata v této části:

  • Přiřazení rozmístění pomocí zásad skupiny
  • Výhody a nevýhody použití zásad skupiny


Přiřazení rozmístění pomocí zásad skupiny

Instalace rozmístění pomocí zásad skupin
Instalace rozmístění pomocí zásad skupin
Přiřazení rozmístění pomocí zásad skupiny

Přiřazení rozmístění vytvořeného Průvodcem rozmístěním k počítači Přiřazení rozmístění k počítači instaluje program při příštím restartování počítače.

Rozmístění přiřazené k počítači může být použito všemi uživateli počítače. Obecně je vhodné přiřadit program k počítači, používá-li počítač mnoho uživatelů.

Poznámka Produkty společnosti Autodesk jsou navrženy tak, aby mohly být instalovány na počítač a uživatel, který se přihlásí k počítači, si tento software mohl spustit. Pokud program přiřadíte konkrétnímu uživateli a nikoli počítači, mohou nastat problémy, pokud se druhý uživatel pokusí nainstalovat nebo odinstalovat kopii programu.


Výhody a nevýhody použití zásad skupiny

Instalace rozmístění pomocí zásad skupin
Instalace rozmístění pomocí zásad skupin
Výhody a nevýhody použití zásad skupiny

Následující tabulka nastiňuje výhody a nevýhody používání zásad skupiny.

Výhody a nevýhody zásad skupin

Výhoda

Nevýhoda

Spolupráce s Průvodcem rozmístěním.

Spustitelnému souboru MSI nelze předat parametry příkazového řádku. Řešením je použití skriptu.
  • Snadné přidání uživatelských souborů prostřednictvím Průvodce rozmístěním.
  • Rozmístěno na pracovní stanici.

Nelze přizpůsobit jiná nastavení aplikace, než ta, která se nastavují v Průvodci rozmístěním.

Snadná implementace.


Distribuce rozmístění prostřednictvím zásad skupin

Instalace rozmístění pomocí zásad skupin
Instalace rozmístění pomocí zásad skupin
Distribuce rozmístění prostřednictvím zásad skupin

Existují tři hlavní kroky pro distribuci programu pomocí zásad skupiny.

  1. Vytvořte distribuční bod sdílení aplikace. Distribuční bod sdílení aplikace je vytvořen pomocí Průvodce rozmístěním. Rozmístění vytvoříte pomocí kroků v části Použití Průvodce rozmístěním.
  2. Přiřaďte program k počítači.
  3. Ověřte instalaci. Zkontrolujte, zda byl program správně nainstalován.


Přiřazení rozmístění k počítačům

Instalace rozmístění pomocí zásad skupin
Instalace rozmístění pomocí zásad skupin
Přiřazení rozmístění k počítačům

Je-li program přiřazen k počítači, je dostupný všem uživatelům počítače. Následující postupy pro přiřazení programu k počítačům musí být provedeny na serveru, který má přístup ke službě Active Directory systému Windows 2003 nebo Windows 2000.

Jak přiřadit rozmístění k počítači
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] Nástroje pro správu [image] Uživatelé a počítače služby Active Directory.
  2. V dialogu Uživatelé a počítače služby Active Directory klepněte na organizační útvar, kde chcete vytvořit objekt zásad skupiny. Potom stiskněte tlačítko Vlastnosti.

    3. Zobrazí se dialog Vlastnosti s vybraným organizačním útvarem.

    Poznámka Chcete-li, aby objekt zásad vstoupil v platnost, je nutné umístit objekty počítače do vybraného organizačního útvaru.

  3. V dialogu Vlastnosti stiskněte na kartě Zásady skupiny tlačítko Nová. Zadejte název objektu zásad skupiny. Zadejte například Instalace AutoCAD přiřazená k počítači

    4. Zásady skupiny jsou vytvořeny a přidány do seznamu odkazů na objekty zásad skupin.

  4. V tomto seznamu vyberte zásadu, kterou jste právě vytvořili a potom stiskněte tlačítko Upravit.
  5. Použijte jeden z následujících postupů:
    • Pro Windows 2003 Server: V okně editoru objektů Zásady skupiny rozbalte klepnutím na znaménko plus (+) složku Nastavení softwaru ve složce Konfigurace počítače.
    • Pro Windows 2000 Server: V okně Zásady skupiny rozbalte klepnutím na znaménko plus (+) složku Nastavení softwaru ve složce Konfigurace počítače.
  6. Ve složce Nastavení softwaru klepněte pravým tlačítkem myši na položku Instalace softwaru a klepněte na příkaz Vlastnosti.
  7. V dialogu Instalace softwaru - vlastnosti stiskněte na kartě Obecné tlačítko Procházet.
  8. V dialogu Procházet složku vyhledejte sdílený distribuční bod aplikace vytvořený v Průvodci rozmístěním a vyberte složku AdminObraz. Potom stiskněte tlačítko OK.

    9. Dialog Instalace softwaru - vlastnosti zobrazí (ve formátu UNC) výchozí umístění balíčku, název serveru, vybranou sdílenou složku a AdminObraz. Příklad:

    \\server123\Deployment\AdminObraz

  9. Použijte jeden z následujících postupů:
    • Pro Windows 2003 Server: Na kartě Obecné klepněte v části Nové balíčky na tlačítko Upřesnit a vyberte metodu, která bude použita při vytvoření nového balíčku. Tato metoda také umožňuje vybrat transformační soubor vytvořený Průvodcem rozmístěním.
    • Pro Windows 2000 Server: Na kartě Obecné klepněte v části Nové balíčky na metodu rozšířeného publikování nebo přiřazení, která bude použita při vytvoření nového balíčku. Tato metoda také umožňuje vybrat transformační soubor vytvořený Průvodcem rozmístěním.
  10. Stiskem tlačítka OK uzavřete dialog Instalace softwaru - vlastnosti.
  11. Použijte jeden z následujících postupů:
    • Pro Windows 2003 Server: V okně editoru objektů Zásady skupiny klepněte pravým tlačítkem myši na položku Instalace softwaru ve složce Nastavení softwaru a klepněte na příkaz Nový [image] Balíček.
    • Pro Windows 2000 Server: V okně Zásady skupiny klepněte pravým tlačítkem myši na položku Instalace softwaru ve složce Nastavení softwaru a klepněte na příkaz Nový [image] Balíček.
  12. V dialogu Otevřít se ujistěte, že je vybrán soubor Instalační služby systému Windows (acad.msi) a klepněte na tlačítko Otevřít. Tento výchozí výběr je distribuční bod sdílení aplikace, který nastavíte později.

    13. Pokud jste vytvořili administrativní obraz v jiném umístění, než je distribuční bod sdílení aplikace, vyhledejte umístění administrativního obrazu a klepněte na soubor acad.msi.

  13. V dialogu <název produktu> - vlastnosti klepněte na kartu Rozmístění. Ověřte, že v poli Typ rozmístění je vybrána volba Přiřazený.
  14. Na kartě Úpravy stiskněte tlačítko Přidat.
  15. V dialogu Otevřít vyberte soubor transformovaného balíčku (s příponou MST) vytvořeného Průvodcem rozmístěním a potom klepněte na tlačítko Otevřít.

    16. Pokud jste vytvořili administrativní obraz v jiném umístění, než je distribuční bod sdílení aplikace, vyhledejte umístění administrativního obrazu a vyberte soubor transformačního balíčku (s příponou MST).

  16. V dialogu <název produktu> - vlastnosti bude na kartě Úpravy přidán vybraný soubor transformačního balíčku do seznamu Úpravy. Klepněte na tlačítko OK.

    17. Poznámka Pokud vytváříte objekt zásad skupiny, je nutné vybrat soubor transformačního balíčku vytvořený Průvodcem rozmístěním. Po vytvoření objektu zásad skupin nelze soubory transformačního balíčku přidat nebo odstranit. Jestliže soubor transformačního balíčku nevyberete, nelze program nainstalovat do klientského počítače.

  17. Použijte jeden z následujících postupů:
    • Pro Windows 2003 Server: V okně editoru objektů Zásady skupiny klepněte na položku Instalace softwaru ve složce Konfigurace počítače. Nově vytvořený balíček programu bude zobrazen v pravém okně.
    • Pro Windows 2000 Server: V okně Zásady skupiny klepněte na položku Instalace softwaru ve složce Konfigurace počítače. Nově vytvořený balíček programu bude zobrazen v pravém okně.
  18. Použijte jeden z následujících postupů:
    • Pro Windows 2003 Server: Zavřete okno editoru objektů Zásady skupiny a všechna ostatní otevřená okna služby Active Directory.
    • Pro Windows 2000 Server: Zavřete okno Zásady skupiny a všechna ostatní otevřená okna služby Active Directory.

Program bude přiřazen ke všem počítačům, které jsou členy organizační jednotky, pro kterou byl objekt zásad skupiny vytvořen. Po restartování počítače v organizační jednotce bude program nainstalován a bude dostupný všem uživatelům počítače. Chcete-li si ověřit, že zásady skupiny byly vytvořeny správně, nahlédněte do Ověření instalace rozmístění.


Ověření instalace rozmístění

Instalace rozmístění pomocí zásad skupin
Instalace rozmístění pomocí zásad skupin
Ověření instalace rozmístění

Při restartování počítače zobrazí operační systém zprávy o zásadách skupiny, a to obvykle těsně před nebo po zobrazení dialogu pro přihlášení k systému Windows. Tyto zprávy obsahují následující položky:

  • Spuštění systému Windows
  • Použití nastavení počítače
  • Instalace spravovaného softwaru
  • Použití nastavení softwarové instalace
  • Načtení osobních nastavení
  • Použití osobních nastavení

Na pracovních stanicích Windows XP nebo Windows 2000 se uživatelé přihlašují pod organizační jednotkou nebo počítačem, pro který byly vytvořeny zásady skupiny.

Poznámka Při vzniku problémů bude v Prohlížeči událostí systému zaprotokolován záznam v části Aplikace.

Témata v této části:

  • Ověření přiřazení programu k počítači


Ověření přiřazení programu k počítači

Instalace rozmístění pomocí zásad skupin
Instalace rozmístění pomocí zásad skupin
Ověření přiřazení programu k počítači

Chcete-li ověřit, zda byl program správně přiřazen k počítači, restartujte počítač, který se nachází ve stejné organizační jednotce, pro jakou byly vytvořeny zásady skupiny. Program bude nainstalován před zobrazením výzvy k přihlášení. Po přihlášení poklepejte na ikonu programu na ploše. Spustí se druhá instalace. Po dokončení instalace se program spustí.


Instalace rozmístění pomocí serveru SMS

Tento dodatek nabízí podrobnosti o rozmístění softwaru společnosti Autodesk pomocí serveru SMS (Microsoft Systems Management Server). Výhody rozmístění softwaru pomocí serveru SMS zahrnují distribuci softwaru do cílových počítačů, které jsou dynamicky vyhodnocovány na základě kolekce administrátorských pravidel, a hardware a software, který je vytvořen za účelem ověření, že cílové počítače budou splňovat požadavky instalace.

Pro správnou funkci produktu AutoCAD je třeba, aby byl v počítači nainstalován následující software:

  • Rozhraní Microsoft .NET 1.1 s aktualizací Service Pack 1 (k dispozici na disku CD s produktem)
  • Aplikace Internet Explorer verze 6.0 s aktualizací Service Pack 1 nebo novější (aplikaci Microsoft Internet Explorer lze stáhnout z webu společnosti Microsoft na adrese www.microsoft.com).
  • Balíček Instalační služby systému Windows (MSI) 3.0
  • Přehrávač Macromedia Flash™ Player 7.0.19.0
  • Prohlížeč Autodesk DWF Viewer®
  • Součásti MDAC (Microsoft Data Access Components) 2.7

Témata v této části:

  • Úvod
  • Úlohy pro rozmístění softwaru společnosti Autodesk pomocí serveru SMS
  • Vytvoření kolekce pro distribuci softwaru společnosti Autodesk
  • Nastavení zdrojového adresáře pomocí Průvodce rozmístěním
  • Vytvoření instalačního balíčku softwaru serveru SMS
  • Vytvoření programu serveru SMS
  • Vytvoření ohlášení
  • Instalace softwaru společnosti Autodesk na klientský počítač


Úvod

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Úvod

Chcete-li rozmístit software společnosti Autodesk®, je nutné použít server SMS 2.0 s aktualizací Service Pack 1 nebo novější. Měli byste se také seznámit s procesem distribuce softwaru serveru SMS 2.0. Více informací o tomto tématu nabízejí následující zdroje:

  • Příručka pro správce serveru Microsoft® Systems Management Server
  • Nápověda pro správce serveru Microsoft Systems Management Server 2.0
  • Příručka pro prostředky serveru Microsoft Systems Management Server


Úlohy pro rozmístění softwaru společnosti Autodesk pomocí serveru SMS

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Úlohy pro rozmístění softwaru společnosti Autodesk pomocí serveru SMS

Chcete-li rozmístit software společnosti Autodesk pomocí serveru SMS, je nutné provést následující úkony:

  1. Vytvoření kolekce pro distribuci softwaru společnosti Autodesk.
  2. Nastavení zdrojového adresáře pomocí Průvodce rozmístěním.
  3. Vytvoření instalačního balíčku softwaru serveru SMS.
  4. Vytvoření programu serveru SMS.
  5. Vytvoření ohlášení.
  6. Instalace softwaru společnosti Autodesk na klientský počítač


Vytvoření kolekce pro distribuci softwaru společnosti Autodesk

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Vytvoření kolekce pro distribuci softwaru společnosti Autodesk

Kolekce je skupina pravidel definovaných správcem, která určuje, na které počítače bude software společnosti Autodesk instalován. Chcete-li vytvořit a spravovat kolekce, můžete použít server SMS. Kolekce seskupují zdroje do logických spravovatelných skupin způsoby, které pomáhají spravovat sítě SMS. Kolekce mohou odrážet strukturu a uspořádání sítě umístěním zdrojů do skupin, například uživatelů, klientů a směrovačů. Server SMS používá během distribuce softwaru ke klientům kolekce jako cíle.

Vytvoření kolekce pro distribuci softwaru společnosti Autodesk.
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] System Management Server [image] Konzola správce serveru SMS.
  2. V okně konzole serveru SMS klepněte v panelu zobrazení stromu na složku Systems Management Server a potom klepněte na znaménko plus (+) u složky databáze serveru.
  3. V panelu zobrazení stromu klepněte na složku kolekcí.

    4. Panel Název zobrazí všechny aktuálně definované kolekce.

  4. Klepněte pravým tlačítkem na složku kolekcí. V místní nabídce vyberte příkaz Nový [image] Kolekce.
  5. V dialogu vlastností kolekce zadejte na kartě Obecné název kolekce, například Počítače se softwarem společnosti Autodesk. Do textového pole Komentář zadejte libovolný komentář.

Nyní je nutné vytvořit pravidla definující zdroje, které budou do kolekce zahrnuty. To můžete provést pomocí tlačítka panelu nástrojů pro vlastnosti pravidel dotazů nebo pomocí průvodce přímých pravidel členství.

Témata v této části:

  • Vytvoření pravidla pomocí tlačítka panelu nástrojů pro vlastnosti pravidel dotazů
  • Vytvoření pravidla pomocí průvodce přímých pravidel členství


Vytvoření pravidla pomocí tlačítka panelu nástrojů pro vlastnosti pravidel dotazů

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Vytvoření pravidla pomocí tlačítka panelu nástrojů pro vlastnosti pravidel dotazů

Tlačítko panelu nástrojů pro vlastnosti pravidel dotazů přidává do kolekce všechny zdroje, které odpovídají sadě kritérií určených dotazem.

Jak vytvořit pravidlo pomocí tlačítka panelu nástrojů pro vlastnosti pravidel dotazů
  1. Na kartě pravidel členství dialogu vlastností kolekce klepněte na tlačítko panelu nástrojů pro vlastnosti pravidel dotazů.
  2. V dialogu vlastností pravidel dotazů stiskněte tlačítko Procházet (vedle pole Název).

    3. Zobrazí se seznam dostupných dotazů.

  3. Vyberte vhodný dotaz. Začněte volbou všech systémů Windows a potom stiskněte tlačítko OK.

    4. V dialogu vlastností pravidel dotazů můžete vytvořit nebo upravit stav dotazu stiskem tlačítka pro úpravu dotazu. V poli omezení kolekce můžete stiskem příslušného tlačítka omezit dotazy přiřazené ke kolekci.

  4. Stiskněte tlačítko Další.

Nové pravidlo bude zobrazeno v seznamu pravidel v dialogu vlastností kolekce.


Vytvoření pravidla pomocí průvodce přímých pravidel členství

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Vytvoření pravidla pomocí průvodce přímých pravidel členství

Průvodce přímých pravidel členství pomáhá při tvorbě přímých pravidel členství kolekce. Přímá pravidla členství přidávají do kolekce určité zdroje, zatímco pravidla členství podle dotazů přidávají všechny zdroje, které odpovídají sadě kritérií. Chcete-li vytvořit přímá pravidla členství, vyhledejte a vyberte zdroje, které chcete přidat jako přímé členy kolekce.

Jak vytvořit pravidlo pomocí průvodce přímých pravidel členství
  1. Na kartě pravidel členství dialogu vlastností kolekce stiskněte tlačítko panelu nástrojů pro vytvoření přímých pravidel členství.
  2. V dialogu průvodce vytvořením přímých pravidel členství stiskněte tlačítko Další.
  3. V dialogu hledání zdrojů zvolte v seznamu tříd zdrojů systémový zdroj. Ze seznamu názvů atributů vyberte název a verzi operačního systému. Do pole Hodnota zadejte Microsoft Windows %Workstation%. Stiskněte tlačítko Další.
  4. V dialogu omezení kolekce stiskněte tlačítko Procházet. Zobrazí se seznam dostupných kolekcí. Vyberte kolekci a stiskněte tlačítko OK.
  5. V dialogu omezení kolekce stiskněte tlačítko Další.
  6. V dialogu výběru zdrojů se zobrazí seznam všech zdrojů splňující kritéria kolekce. Stiskněte tlačítko Vybrat vše nebo vyberte zdroje, které chcete zahrnout. Budoucí zdroje, které splní kritéria kolekce, budou přidány. Stiskněte tlačítko Další.
  7. V dialogu dokončení průvodce vytvořením přímých pravidel členství stiskněte tlačítko Dokončit.

    8. Nové pravidlo bude zobrazeno v seznamu pravidel v dialogu vlastností kolekce.

Nyní je nutné nastavit čas spuštění kolekce.

Nyní je nutné nastavit čas spuštění kolekce.
  1. Na kartě pravidel členství dialogu vlastností kolekce klepněte na tlačítko pro časový plán.
  2. V dialogu časového plánu nastavte čas spuštění kolekce a vyberte rekurentní vzor, který bude použit. Stiskněte tlačítko Další.
  3. V dialogu vlastností kolekce stiskem tlačítka Použít použijete nastavení. Stiskněte tlačítko Další.
  4. V okně konzoly serveru SMS vyberte v panelu zobrazení stromu složku kolekcí.

    5. Nová kolekce se zobrazí v panelu Název.


Nastavení zdrojového adresáře pomocí Průvodce rozmístěním

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Nastavení zdrojového adresáře pomocí Průvodce rozmístěním

Pokud použijete k rozmístění softwaru společnosti Autodesk server SMS, nastavíte zdrojový adresář pomocí Průvodce rozmístěním. Použití Průvodce rozmístěním je jednoduchým způsobem, jak vytvořit zdrojový adresář, který také zajišťuje, že můžete v budoucnosti instalační balíček inovovat. Průvodce rozmístěním vytvoří administrativní obraz instalace, který používá server SMS k rozmístění softwaru společnosti Autodesk na klientské počítače. Vytvoří také transformační soubor, neboli rozmístění, které je nutné použít během instalace produktu AutoCAD® a dalších programů souvisejících s produktem AutoCAD do klientských počítačů.

U serveru SMS 2.0 se umístění, kde provádíte administrativní instalaci, stane umístěním zdrojového adresáře balíčku. Pokud vytváříte zdrojový adresář pomocí Průvodce rozmístěním, můžete přidat další soubory, například soubory šablon, procedury jazyka AutoLISP a uživatelské nabídky. Průvodce rozmístěním také instaluje spustitelný soubor rozmístění (Deploy.exe), který se používá k rozmístění softwaru.

Více informací o nastavení zdrojového adresáře softwaru společnosti Autodesk nabízí Použití Průvodce rozmístěním.

Před konfigurací serveru SMS pro rozmístění programu je důrazně doporučeno vyzkoušet rozmístění vytvořené Průvodcem rozmístěním. Vyzkoušením rozmístění, které bylo vytvořeno v Průvodci rozmístěním zajistíte, že nebudou s administrativním obrazem a rozmístěním žádné problémy.

Jak vyzkoušet rozmístění vytvořené Průvodcem rozmístěním
  1. Přihlaste se na pracovní stanici Windows 2000 nebo Windows XP Professional jako uživatel s administrátorským oprávněním.
  2. Vyhledejte zdrojový adresář, kde bylo rozmístění vytvořeno. Použijte Průzkumník Windows nebo vyberte příkaz Start [image] Spustit.
  3. Poklepejte na zástupce rozmístění vytvořeného Průvodcem rozmístěním.

    4. Program bude instalován nebo bude do síťového protokolu zaznamenána chyba.


Vytvoření instalačního balíčku softwaru serveru SMS

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Vytvoření instalačního balíčku softwaru serveru SMS

Po vytvoření zdrojového adresáře pomocí Průvodce rozmístěním vytvoříte instalační balíček softwaru serveru SMS. Balíček serveru SMS obsahuje soubory a instrukce, které server SMS používá k distribuci programu na klienty serveru SMS. Průvodce rozmístěním vytvoří soubory a instrukce, ale server SMS je nutné k použití těchto souborů nakonfigurovat.

Jak vytvořit softwarový instalační balíček
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] System Management Server [image] Konzola správce serveru SMS.
  2. V okně konzole serveru SMS klepněte v panelu zobrazení stromu na složku Systems Management Server a potom klepněte na znaménko plus (+) u složky databáze serveru.
  3. V panelu zobrazení stromu klepněte na složku balíčků.

    4. Panel Název nyní zobrazí všechny instalační balíčky, které jsou aktuálně definovány.

  4. Klepněte pravým tlačítkem na složku balíčků. V místní nabídce klepněte na příkaz Nový [image] Balíček.

    5. Poznámka V místní nabídce nelze vybrat možnost Balíček z definice, protože program nevytváří soubor pro definici balíčků (soubory PDF nebo SMS).

  5. Zadejte na kartě Obecné dialogu vlastností balíčku následující informace:
    • Do textového pole Název zadejte název balíčku serveru SMS, napříkladAutoCAD
    • Do pole Verze zadejte verzi instalovaného produktu, například 2006.
    • Do pole Vydavatel zadejte Autodesk, Inc.
    • Do pole Jazyk zadejte jazykovou verzi instalovaného produktu, například Čeština.
    • Do pole Komentář zadejte komentáře, které jsou charakteristické pro vaše prostředí.
  6. Klepněte na kartu Zdroj dat.
  7. Na kartě Zdroj dat zvolte zdrojové soubory jako obsah balíčku. Stiskněte tlačítko Nastavit.
  8. V dialogu nastavení adresáře zdroje vyberte síťovou cestu (název UNC).
  9. Stiskněte tlačítko Procházet. Přejděte do zdrojového adresáře vytvořeného v Průvodci rozmístěním. Stiskněte tlačítko Další.

    10. Ve zdrojovém adresáři je zobrazen vybraný název serveru a sdílená složka.

    Poznámka Ve zdrojovém adresáři by měl být zobrazen administrativní obraz vytvořený v Průvodci rozmístěním.

  10. V dialogu nastavení adresáře zdroje stiskněte tlačítko OK.
  11. V dialogu vlastností balíčku stiskněte tlačítko OK.
  12. V panelu zobrazení stromu klepněte na složku balíčků.

    13. Panel Název zobrazí vytvořený balíček.

I když byl balíček k instalaci programu na klientských počítačích serveru SMS vytvořen, stále není možné jej instalovat. Pro balíček je nejprve nutné vytvořit program serveru SMS.


Vytvoření programu serveru SMS

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Vytvoření programu serveru SMS

Tato pasáž nabízí podrobnosti o konfiguračních volbách, které je nutné použít při tvorbě programu SMS softwaru společnosti Autodesk. Konfigurační volby programu pro rozmístění softwaru jsou určeny v dialogu vlastností programu v serveru SMS.

Existují dvě metody definice možností konfigurace programu se softwarem společnosti Autodesk. První metoda používá spustitelný soubor Deploy vytvořený Průvodcem rozmístěním pro produkt AutoCAD a programy související s produktem AutoCAD. Druhá metoda používá Instalační službu systému Windows.

Témata v této části:

  • Tvorba programu pomocí metody spustitelného souboru Deploy
  • Vytvoření programu pomocí metody instalační služby systému Windows


Tvorba programu pomocí metody spustitelného souboru Deploy

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Tvorba programu pomocí metody spustitelného souboru Deploy

Průvodce rozmístěním, který byl použit k vytvoření administrativního obrazu a zdrojového adresáře pro rozmístění softwaru společnosti Autodesk, obsahuje spustitelný soubor nazvaný Deploy.exe ve složce AdminImage ve sdílené složce Průvodce rozmístěním.

Soubor Deploy.exe je určen pro Instalační službu systému Windows (spustitelný soubor, který před spuštěním Instalační služby systému Windows provede kontrolu), ale provádí také několik dalších důležitých kontrol a funkcí pro instalaci produktu AutoCAD a programů souvisejících s produktem AutoCAD. Soubor Deploy.exe kontrolou operačního systému zjistí, zda jsou splněny minimální požadavky pro instalaci produktu AutoCAD. Soubor Deploy.exe rovněž zjišťuje, zda se používá Instalační služba systému Windows verze 2.0. Pokud ne, je na klientské počítače nainstalována Instalační služba systému Windows verze 2.0. Soubor Deploy.exe odpovídá také za zapsání úspěšných instalací a selhání do síťového protokolu určeného v Průvodci rozmístěním. Důrazně doporučujeme tuto metodu použít při rozmísťování produktu AutoCAD nebo programů souvisejících s produktem AutoCAD do klientských počítačů SMS.

Jak vytvořit program pomocí souboru Deploy.exe
  1. V nabídce Start (systém Windows) klepněte na položku Programy [image] System Management Server [image] Konzola správce serveru SMS.
  2. V okně konzole serveru SMS klepněte v panelu zobrazení stromu na složku Systems Management Server a potom klepněte na znaménko plus (+) u složky databáze serveru.
  3. V panelu zobrazení stromu klepnutím na znaménko plus (+) vedle složky balíčků tuto složku rozbalte. Definované balíčky jsou zobrazeny v panelu Strom. Klepněte na balíček, který jste dříve vytvořili. V panelu Název budou zobrazeny složky účtů, distribučních míst a programů.
  4. Klepněte v panelu Název pravým tlačítkem na složku Programy. V místní nabídce klepněte na příkaz Nový [image] Program.
  5. V dialogu vlastností programu proveďte na kartě Obecné následující zadání:
    • Do textového pole Název zadejte název programu. Název programu musí být jedinečný, protože se používá při definování ohlašování. Na klientských počítačích je název zobrazen ve složce ohlašovaných programů v ovládacích panelech.
    • Do textového pole Komentář zadejte libovolný komentář. Text v textovém poli Komentář je zobrazen na klientských počítačích v dialogu sledování ohlašovaných programů nebo v průvodci ohlašovaných programů v rámci ovládacích panelů.
    • U příkazového řádku stiskněte tlačítko Procházet. Vyhledejte zdrojový adresář, kde bylo Průvodcem rozmístěním vytvořeno rozmístění. Klepněte pravým tlačítkem myši na zástupce rozmístění a klepněte na příkaz Vlastnosti. Na kartě Zástupce vyberte v textovém poli Cíl celý text. Klepněte pravým tlačítkem myši a vyberte příkaz Kopírovat. Stiskem tlačítka Storno dialog vlastností rozmístění uzavřete. Stiskem tlačítka Storno uzavřete dialog Otevřít. V dialogu vlastností programu klepněte pravým tlačítkem do pole Příkazový řádek a z místní nabídky vyberte příkaz Vložit. Zobrazí se váš text.
    • Ze seznamu Spustit vyberte položku Normální.
    • Ze seznamu Po spuštění zvolte bez akce.
  6. Klepněte na kartu Požadavky. Do textového pole odhadovaného diskového prostoru zadejte nejméně 350 MB. Zvolte spouštění programu pouze na zadaných platformách. Vyberte následující operační systémy ze seznamu:
    • Všichni klienti x86 Windows 2000
    • Všichni klienti x86 Windows XP Professional
    • Klienti původního vydání x86 Windows 2000
    • Klienti x86 Windows 2000 Service Pack 1
    • Klienti x86 Windows 2000 Service Pack 2
  7. Klepněte na kartu Prostředí. V seznamu spuštění programu vyberte položku Pouze při přihlášení uživatele a potom zvolte nutný uživatelský vstup. Pokud nemají uživatelé na svých počítačích administrátorské oprávnění, vyberte v poli režimu spuštění volbu Spustit s administrátorskými právy. V poli diskového režimu vyberte volbu Spustit s názvem UNC.
  8. Stiskněte tlačítko Použít a potom tlačítko OK. Chcete-li nový program zobrazit v panelu Název, klepněte na složku Programy v panelu Strom v okně konzoly serveru SMS.


Vytvoření programu pomocí metody instalační služby systému Windows

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Vytvoření programu pomocí metody instalační služby systému Windows

Pokud konfigurujete obecné volby programu softwaru Autodesk pomocí metody instalační služby Windows, je nutné upřesnit syntaxi příkazového řádku. Spustitelný program, který analyzuje balíčky a instaluje produkty, je soubor Msiexec.exe. Používáte-li instalační službu Windows, nejsou do síťového protokolu zapsány žádné položky.

Poznámka Před rozmístěním softwaru společnosti Autodesk na klientské počítače je nutné zajistit, aby byl program Instalační služby systému Windows (Msiexec.exe) verze 2.0 nebo vyšší. Instalační program instalační služby Windows se nachází na CD produktu společnosti Autodesk.

U Instalační služby systému Windows zadejte v dialogu vlastností programu na kartě Obecné následující informace do příkazového řádku:

msiexec options <balíček>.msi

Pro produkt AutoCAD je <balíček> soubor acad.msi. Následující tabulka vypisuje několik voleb příkazového řádku, které použijete při rozmístění balíčku produktu AutoCADacad.msi. Volby v příkazovém řádku rozlišují malá a velká písmena. Chcete-li získat úplný seznam voleb, společně s jejich vysvětlením, nahlédněte do nápovědy instalační služby Microsoft Windows.

Volby příkazového řádku instalační služby Windows
Volba | Činnost
/I | Instaluje nebo konfiguruje produkt.
/x | Odinstaluje produkt.
/lev protokol | Určuje cestu k protokolu. Příznaky označují, které informace se budou protokolovat. e - všechny chybové zprávy, v - podrobný výstup
/qb- | Nastavuje úroveň uživatelského rozhraní.
 | qb - základní uživatelské rozhraní

Například pro produkt AutoCAD použijte následující syntaxi: msiexec /I acad.msi.

Kromě voleb příkazového řádku je nutné rovněž použít vlastnosti instalační služby Windows. Vlastnosti jsou globální proměnné používané během instalace. Chcete-li využít výhod transformačního souboru vytvořeného v Průvodci rozmístěním, je nutné použít vlastnost TRANSFORMS. Pokud tuto vlastnost použijete, je nutné vlastnosti zadat následovně:

msiexec options <balíček>.msi PROPERTY=VALUE

Následující tabulka vypisuje několik vlastností příkazového řádku. U parametrů příkazového řádku se rozlišují malá a velká písmena. Chcete-li získat úplný seznam vlastností, společně s jejich vysvětlením, nahlédněte do nápovědy instalační služby Microsoft Windows.

Volby příkazového řádku instalační služby Windows
Vlastnost | Činnost
TRANSFORMS= | Seznam transformací, které budou použity pro instalační databázi (acad.msi).
ACAD_SILENT_LICENSE=YES | Tiché licenční ujednání.
INSTALLDIR= |

Pro produkt AutoCAD použijte u voleb a vlastností příkazového řádku následující syntaxi:

msiexec /I <cesta>\acad.msi TRANSFORMS=<cesta>\<název transformace>.mst /qb-
Použití Msiexec.exe k rozmístění balíčků AutoCAD
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] System Management Server [image] Konzola správce serveru SMS.
  2. V okně konzole serveru SMS klepněte v panelu zobrazení stromu na složku Systems Management Server a potom klepněte na znaménko plus (+) u složky databáze serveru.
  3. V panelu zobrazení stromu klepnutím na znaménko plus (+) vedle složky balíčků tuto složku rozbalte. Definované balíčky jsou zobrazeny v panelu Strom. Klepněte na balíček, který jste dříve vytvořili. V panelu Název budou zobrazeny složky přístupových účtů, distribučních míst a programů.
  4. V panelu Název klepněte pravým tlačítkem myši na složku Programy. Z místní nabídky vyberte položku Nový [image] Program.
  5. V dialogu vlastností programu proveďte na kartě Obecné následující zadání:
    • Do textového pole Název zadejte název programu. Název programu musí být jedinečný, protože se používá při definování ohlašování. Na klientských počítačích je název zobrazen ve složce ohlašovaných programů v ovládacích panelech.
    • Do textového pole Komentář zadejte libovolný komentář. Text v textovém poli Komentář je zobrazen na klientských počítačích v dialogu sledování ohlašovaných programů nebo v průvodci ohlašovaných programů v rámci ovládacích panelů.
    • Do textového pole Příkazový řádek zadejte příkaz pomocí syntaxe příkazového řádku instalační služby Windows. Pro produkt AutoCAD použijte následující syntaxi:

    Msiexec /I <cesta>\acad.msi TRANSFORMS=<cesta>\<název_rozmístění>.mst/qb-

    Položku <cesta> nahraďte zdrojovým adresářem nebo umístěním administrativního obrazu, který jste vytvořili v Průvodci rozmístěním. Je nutné zachovat konvenci pro názvy cesty UNC. Položku <název_rozmístění> nahraďte názvem rozmístění, které jste vytvořili pomocí Průvodce rozmístěním. Je nutné použít příponu .MST.

  6. Klepněte na kartu Požadavky. Do textového pole odhadovaného diskového prostoru zadejte nejméně 350 MB. Zvolte spouštění tohoto seznamu pouze na zadaných platformách. Vyberte následující operační systémy ze seznamu:
    • Všichni klienti x86 Windows 2000
    • Všichni klienti x86 Windows XP Professional
    • Klienti původního vydání x86 Windows 2000
    • Klienti x86 Windows 2000 Service Pack 1
    • Klienti x86 Windows 2000 Service Pack 2
  7. Klepněte na kartu Prostředí. V seznamu spuštění programu vyberte položku Pouze při přihlášení uživatele a potom zvolte nutný uživatelský vstup. Pokud nemají uživatelé na svých počítačích administrátorské oprávnění, vyberte v poli režimu spuštění volbu Spustit s administrátorskými právy. V poli diskového režimu vyberte volbu Spustit s názvem UNC.
  8. Stiskněte tlačítko Použít a potom tlačítko Zavřít. Nový program zobrazíte v panelu Název v okně konzoly SMS klepnutím na složku Programy v panelu Strom.

Nyní byl vytvořen program balíčku. Dále je nutné vytvořit ohlášení balíčku.


Vytvoření ohlášení

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Vytvoření ohlášení

Pomocí ohlašování server SMS distribuuje programy serveru SMS do klientských počítačů serveru SMS. Ohlašování vytvoříte a spravujete pomocí okna konzoly SMS Administrator.

Dále je nutné vytvořit ohlášení balíčku.
  1. V nabídce Start (systém Windows) klepněte na položku Všechny programy (nebo Programy) [image] System Management Server [image] Konzola správce serveru SMS.
  2. V okně konzole serveru SMS klepněte v panelu zobrazení stromu na složku Systems Management Server a potom klepněte na znaménko plus (+) u složky databáze serveru.
  3. V panelu zobrazení stromu klepněte na složku ohlašování.

    4. Ohlášené programy se zobrazí v panelu Název.

  4. V panelu Strom klepněte pravým tlačítkem na složku Ohlašování a z místní nabídky vyberte příkaz Všechny úkoly [image] Distribuovat software.
  5. V uvítacím dialogu průvodce distribucí softwaru stiskněte tlačítko Další.
  6. Na stránce Balíček vyberte volbu Distribuovat existující balíček a potom v seznamu Balíčky klepněte na položku AutoCAD. Stiskněte tlačítko Další.
  7. V dialogu distribučních míst vyberte servery, kam bude balíček distribuován, a potom stiskněte tlačítko Další.
  8. V dialogu ohlašování programu vyberte zapněte ohlášení programu do kolekce a potom ověřte, že dříve vytvořený program je zobrazen v seznamu Programy. Stiskněte tlačítko Další.
  9. V dialogu cíle ohlášení vyberte ohlášení do existující kolekce a potom stiskněte tlačítko Procházet. V dialogu procházení kolekce vyberte kolekci, kterou jste dříve vytvořili, a potom stiskněte tlačítko OK. V dialogu cíle ohlášení stiskněte tlačítko Další.
  10. V dialogu názvu ohlašování zadejte název ohlášení. Do textového pole Komentář zadejte libovolný komentář. Název a komentář budou zobrazeny na klientském počítači. Stiskněte tlačítko Další.
  11. V dialogu ohlášení do podkolekcí můžete vybrat, zdali by mělo být ohlášení použito také na kolekce nižších úrovní. Vyberte volbu ohlášení a potom stiskněte tlačítko Další.
  12. V dialogu časového plánu ohlášení vyberte volbu Ano nebo Ne podle toho, zda chcete, aby platnost ohlášení vypršela nebo ne. Pokud je to možné, vyberte datum a čas ukončení platnosti. Stiskněte tlačítko Další.
  13. V dialogu přiřazení programu vyberte volbu Ano nebo Ne podle toho, zda chcete přiřadit program. Přiřazený program se automaticky spustí, pokud ještě na klientském serveru SMS spuštěn nebyl. Pokud vyberte volbu Ano, je nutné zadat datum a čas, kdy bude program přiřazen. Stiskněte tlačítko Další.
  14. V dialogu dokončení průvodce distribucí softwaru stiskněte tlačítko Dokončit. Nový program zobrazíte v panelu Název v okně konzole SMS klepnutím na složku ohlašování v panelu zobrazení stromu.

Software produktu Autodesk je připraven k instalaci na klientský počítač serveru SMS.


Instalace softwaru společnosti Autodesk na klientský počítač

Instalace rozmístění pomocí serveru SMS
Instalace rozmístění pomocí serveru SMS
Instalace softwaru společnosti Autodesk na klientský počítač

Chcete-li instalovat software společnosti Autodesk, přihlaste se do počítače s instalovaným klientským softwarem serveru SMS. Je nutné, aby počítač byl součástí domény, kterou obsluhuje server SMS. Pokud nevyberte při tvorbě programu volbu Spustit s administrátorským oprávněním, je nutné přihlásit se k počítači jako administrátor.

Pomocí tří ovládacích panelů můžete ověřit, že počítač má instalovány klientský software serveru SMS: Správa systémů, Ohlášené programy a Sledování ohlášených programů.

Poznámka Ve Windows XP tyto aplety neuvidíte, dokud nepřepnete ovládací panely do klasického zobrazení.

Jak nainstalovat program na klientský počítač serveru SMS
  1. V nabídce Start (systém Windows) klepněte na příkaz Ovládací panely.
  2. V ovládacích panelech poklepejte na ikonu Ohlášené programy.

    3. Spustí se průvodce pro ohlašování programů.

  3. V uvítacím dialogu průvodce stiskněte tlačítko Další.
  4. V dialogu výběru programů ke spuštění vyberte ohlášení programu společnosti Autodesk a potom stiskněte tlačítko Další.
  5. V dialogu spuštění programů nyní nebo později vyberte volbu Spustit vybrané programy nyní a potom stiskněte tlačítko Další.
  6. V dialogu dokončení průvodce ohlašovaných programů stiskněte tlačítko Dokončit.

Program společnosti Autodesk byl nainstalován pomocí serveru SMS. Chcete-li prozkoumat další metody instalace softwaru společnosti Autodesk pomocí serveru SMS a více se dočíst o pokročilých funkcích serveru SMS, nahlédněte do dokumentace serveru SMS.


Instalace rozmístění pomocí služeb vzdálené instalace

Program můžete nainstalovat pomocí služeb vzdálené instalace (RIS). Program je nutné zahrnout do obrazu služeb vzdálené instalace (RIS), který se používá pro počáteční instalaci a konfiguraci počítačů. Služby vzdálené instalace (RIS) mohou usnadnit rozmístění softwaru společnosti Autodesk v podnikové síti, protože během instalace a konfigurace nebude nutný fyzický přístup ke každému klientskému počítači. Služby vzdálené instalace (RIS) jsou součástí operačních systémů Windows 2000 Server a Windows 2003 Server.

Pro správnou funkci produktu AutoCAD je třeba, aby byl v počítači nainstalován následující software:

  • Rozhraní Microsoft .NET 1.1 s aktualizací Service Pack 1 (k dispozici na disku CD s produktem)
  • Aplikace Internet Explorer verze 6.0 s aktualizací Service Pack 1 nebo novější (aplikaci Microsoft Internet Explorer lze stáhnout z webu společnosti Microsoft na adrese www.microsoft.com).
  • Balíček Instalační služby systému Windows (MSI) 3.0
  • Přehrávač Macromedia Flash™ Player 7.0.19.0
  • Prohlížeč Autodesk DWF Viewer®
  • Součásti MDAC (Microsoft Data Access Components) 2.7

Témata v této části:

  • Úvod
  • Požadavky pro rozmístění služby vzdálené instalace
  • Vytvoření a rozmístění obrazu služby vzdálené instalace


Úvod

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
Úvod

Služby vzdálené instalace nastavují novou pracovní stanici nebo obnovují klientský počítač do známého stavu pomocí obrazu, který obsahuje soubory operačního systému a dalších aplikací, například produktu AutoCAD®.

Upozornění Tento obraz služeb vzdálené instalace přepíše všechna data na klientském počítači.

Obraz služeb vzdálené instalace je umístěn na serveru, ke kterému má klientský počítač přístup během procesu zavádění systému.

Základní počítač můžete nastavit jedním ze tří způsobů:

  • Použijte služby vzdálené instalace s průvodcem RIPrep (Remote Installation Preparation), chcete-li zahrnout produkt AutoCAD a programy související s produktem AutoCAD do obrazu služeb vzdálené instalace.
  • Pomocí Průvodce rozmístěním nainstalujte program na základní počítač ještě před vytvořením obrazu služeb vzdálené instalace.
  • Před vytvořením obrazu proveďte předběžnou konfiguraci programu, nainstalujte podpůrné aplikace a nastavte podnikové normy.

Následující tabulka nastiňuje výhody a nevýhody používání služby vzdálené instalace.

Výhody | Nevýhody
Nabízí prvotní nastavení a konfiguraci pracovní stanice. | Nelze použít k instalaci programu na existující pracovní stanici.
Je možné použít k obnově (instalaci) počítače. | Je těžkopádné k instalaci.
Je možné použít s diskem CD produktu nebo rozmístěním vytvořeným v Průvodci rozmístěním. | Podporuje pouze jednoduché dělení disku (omezení průvodce přípravy vzdálené instalace Microsoft).
Instalaci je možné konfigurovat tak, aby dodržovala standardy společnosti. |
Nevyžaduje, aby měl cílový počítač stejný hardware jako počítač, na kterém byl vytvořen obraz. (Výjimka: Ovladače HAL (Hardware Abstraction Layer) musí být stejné. Je například nutné, aby oba počítače měly rozhraní ACPI nebo oba rozhraní ACPI neměly.) |


Požadavky pro rozmístění služby vzdálené instalace

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
Požadavky pro rozmístění služby vzdálené instalace

Pokud chcete použít RIS pro zavedení produktu na základě programu AutoCAD, vezměte v úvahu následující požadavky pro tvorbu a instalaci obrazů služeb vzdálené instalace do klientských počítačů.

Témata v této části:

  • požadavky na server
  • požadavky základního počítače
  • průvodce klientskou instalací


požadavky na server

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
požadavky na server

Než můžete vytvořit obraz služby vzdálené instalace, je nutné konfigurovat a spustit server služeb vzdálené instalace podle následujícího postupu:

  • Jednotku, která uchovává soubory serveru služeb vzdálené instalace, je nutné formátovat systémem souborů NTFS.
  • Obrazy služeb vzdálené instalace vyžadují značnou část diskového prostoru, protože obsahují soubory potřebné k nastavení počítače, včetně operačního systému a všech aplikací, které budou instalovány.
  • Služby vzdálené instalace nemohou uchovávat obrazy služeb vzdálené instalace na stejné jednotce nebo oddílu, na kterém je nainstalován operační systém Windows® 2000 Server nebo Windows® 2003 Server.

Služby vzdálené instalace vyžadují, aby v síti byly instalovány další služby. V závislosti na návrhu sítě mohou být tyto služby instalovány na jednom serveru nebo na jednotlivých serverech. Jedná se o tyto služby:

  • služba DNS (Domain Name Service). Služba DNS vyhledává adresářovou službu a účty na klientském počítači.
  • servery DHCP (Dynamic Host Configuration Protocol). Server DHCP musí být v sítí přítomen a být aktivní. Klientské počítače, které mohou vzdáleně zavádět systém, přijmou nejprve adresu IP ze serveru DHCP a potom kontaktují server služeb vzdálené instalace.
  • Active Directory Služba Active Directory systému Windows 2000 nebo Windows 2003 vyhledá existující klientské počítače i existující servery služeb vzdálené instalace. Služby vzdálené instalace je nutné instalovat na server se systémem Windows 2000 nebo Windows 2003, který má přístup k službě Active Directory.

Informace o instalaci serveru RIS nabízí dokumentace společnosti Microsoft®.


požadavky základního počítače

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
požadavky základního počítače

Před vytvořením obrazu RIS obsahujícího AutoCAD nebo produkty na základě AutoCAD, ujistěte se, že na základním počítači, na němž budete vytvářet obraz, je instalován pouze čistý operační systém.

Chcete-li se připravit na tvorbu obrazu služeb vzdálené instalace, ujistěte se, že jste vzali v úvahu následující body:

  • Nepoužívejte k tvorbě obrazu služeb vzdálené instalace existující provozní počítač. Takový počítač může obsahovat nepotřebná data a aplikace.
  • Před vytvořením obrazu konfigurujte na základním počítači nastavení standardů společnosti.
  • Konfigurujte základní počítač na jeden oddíl. Obrazy služeb vzdálené instalace nepodporují více oddílů.
  • Nejprve instalujte operační systém. Potom nainstalujte program pomocí Průvodce rozmístěním nebo disku CD s produktem.
  • Podle potřeby instalujte další aplikace.
  • Po instalaci a konfiguraci všech aplikací vytvořte obraz služeb vzdálené instalace, který se bude používat k instalaci na další počítače.


průvodce klientskou instalací

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
průvodce klientskou instalací

Síťový adaptér klientského počítače musí splňovat následující požadavky:

  • Adaptér musí být podporován spouštěcí disketou služeb vzdálené instalace. Tento síťový adaptér musí být schopen kontaktovat při spuštění server služeb vzdálené instalace, aby mohl instalovat software na počítač. Během spuštění vyžaduje počítač síťovou službu zavádění systému ze vzdáleného instalačního serveru v síti. Jakmile je kontaktován, vyzve server služeb vzdálené instalace uživatele, aby stiskl klávesu F12 a stáhnul průvodce klientskou instalací.

Poznámka Spuštěním programu RBFG.exe ze vzdáleného instalačního serveru můžete vytvořit spouštěcí disketu vzdálené instalace.

  • Adaptér používá nástroj protokolu DHCP PXE boot ROM verze .99c nebo vyšší.

Průvodce klientskou instalací pomáhá uživateli instalovat obraz služeb vzdálené instalace, který instaluje a konfiguruje pracovní stanici.


Vytvoření a rozmístění obrazu služby vzdálené instalace

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
Vytvoření a rozmístění obrazu služby vzdálené instalace

Pro vytvoření obrazu RIS obsahujícího AutoCAD nebo produkty založené na AutoCAD se používá proces tvořený čtyřmi kroky, pomocí něhož instalujete AutoCAD nebo jeho produkty do počítače klienta.

  • Instalace čistého operačního systému na základní počítač.
  • Instalujte AutoCAD na základní počítač.
  • Vytvoření obrazu služeb vzdálené instalace na serveru pomocí průvodce přípravy vzdálené instalace Microsoft.
  • Instalace obrazu služeb vzdálené instalace na klientský počítač.

Témata v této části:

  • Instalace základního počítače
  • Instalace programu souvisejícího s produktem AutoCAD
  • Vytvoření obrazu služeb vzdálené instalace
  • Instalace obrazu služeb vzdálené instalace na klientské počítače


Instalace základního počítače

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
Instalace základního počítače

Instalace, aplikace a konfigurační nastavení se na základním počítači používají k vytvoření základního obrazu, který je replikován a zpřístupněn ze serveru služby vzdálené instalace v síti.

Protože služby aktuálně podporují replikaci pouze jednoho diskového oddílu, je nutné, aby operační systém a všechny aplikace, které tvoří standardní instalaci, byly na jednotce C základního počítače předtím, než spustíte průvodce přípravou vzdálené instalace (RIPrep.exe). Průvodce přípravou vzdálené instalace používá novou podporu Plug-and-Play, která společně se systémem Windows 2000 vyhledává během replikace obrazu rozdíly mezi zdrojovým a cílovým počítačem.

Chcete-li připravit replikaci obrazu, použijte základní obraz ze serveru služeb vzdálené instalace k instalaci operačního systému Windows 2000 nebo Windows XP na základní, čistý počítač. Pokud používáte k instalaci operačního systému na základní počítač CD, musí být obraz operačního systému již na serveru služby vzdálené instalace nebo tam být přidán.

Poznámka Soubor RIPrep.exe je nutné před spuštěním v operačním systému Windows XP aktualizovat. Více informací nabízí znalostní báze Microsoft, článek Q313069.


Instalace programu souvisejícího s produktem AutoCAD

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
Instalace programu souvisejícího s produktem AutoCAD

Po instalaci operačního systému nainstalujte produkt AutoCAD a všechny ostatní požadované aplikace.

Pokud vydáváte licence pomocí Správce síťových licencí, použijte Průvodce rozmístěním. Viz Použití Průvodce rozmístěním.

Pokud používáte licenci samostatné verze, instalujte AutoCAD z produktového CD. Správci CAD a IT administrátoři, kteří tuto metodu používají, musejí zajistit, že počet licencí rozmístěných v síti odpovídá počtu zakoupených licencí. Průvodce rozmístěním může také rozmístit samostatné licence.


Vytvoření obrazu služeb vzdálené instalace

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
Vytvoření obrazu služeb vzdálené instalace

Po instalaci a konfiguraci veškerého softwaru vytvořte obraz služby vzdálené instalace.

Upozornění Pokud instalujete mezinárodní verzi produktu AutoCAD, před vytvořením obrazu služeb vzdálené instalace jej nespouštějte. Podprogram pro správu softwarových licencí SafeCast Software License Management, který AutoCAD používá, nesmí být před vytvořením obrazu serveru služeb vzdálené instalace inicializován. Pokud by byl tento podprogram inicializován, AutoCAD se na počítači, na kterém byl obraz rozmístěn, nespustí.

Jak vytvořit administrativní obraz
  1. Vyhledejte server služeb vzdálené instalace, na který budete replikovat obraz.
  2. Spusťte průvodce přípravou vzdálené instalace (RIPrep.exe), který je umístěn ve složce RIS Server REMINST\\Admin\\I386.
  3. Chcete-li vytvořit obraz, postupujte podle pokynů průvodce.


Instalace obrazu služeb vzdálené instalace na klientské počítače

Instalace rozmístění pomocí služeb vzdálené instalace
Instalace rozmístění pomocí služeb vzdálené instalace
Instalace obrazu služeb vzdálené instalace na klientské počítače

Pokud je průvodce dokončen, může být na klientské počítače obraz služeb vzdálené instalace nainstalován.

Jak instalovat obraz vzdáleného instalačního serveru na klientský počítač
  1. Restartujte klientský počítač ze spouštěcí diskety vzdálené instalace nebo použijte nástroj PXE boot ROM.
  2. Na výzvu stáhnete stiskem klávesy F12 průvodce klientskou instalací.
  3. Podle postupu v průvodci obraz nainstalujete.


Slovníček pojmů

Active Directory

Adresářová služba společnosti Microsoft, která je součástí operačního systému Windows 2000 a Windows 2003 Server.

administrativní obraz

Kolekce sdílených zdrojových souborů vytvořených Průvodcem rozmístěním a používaných rozmístěním k instalaci programu na pracovní stanice v síti. Aktualizace Service Pack (opravy patch) mohou být použity na administrativní obraz pomocí Průvodce rozmístěním.

adresářová služba

Síťová služba, která rozpozná všechny zdroje v síti a zpřístupní je uživatelům a aplikacím. Mezi zdroje patří adresy elektronické pošty, počítače a periferní zařízení, například tiskárny. Teoreticky by adresářová služba měla vytvořit jasnou fyzickou síťovou topologii a protokoly, aby uživatel v síti měl přístup ke všem zdrojům, aniž by věděl kde nebo jak je fyzicky připojen. Všechny adresářové služby jsou v podstatě založeny na standardu X.500 ITU.

akcelerátor spuštění produktu AutoCAD (acstart16.exe)

Běžící proces, který může urychlit počáteční spuštění produktu AutoCAD.

aktivace

Součást procesu registrace softwaru společnosti Autodesk, která umožňuje, aby byl produkt provozován v souladu s licenční smlouvou koncového uživatele produktu.

FLEXlm

Technologie pro správu licencí od společnost Macrovision Software, Inc. poskytující nástroje pro správu, které zjednodušují správu síťových licencí. FLEXlm může sledovat stav síťových licencí, obnovit licence po selhání systému, řešit problémy licenčních serverů a aktualizovat existující licenční soubory.

Instalátor MSI

Instalační služba Microsoft Windows podporující různé parametry, které je možné začlenit do skriptů.

MST

soubor MST (Microsoft transform) Upravuje komponenty instalované souborem MSI. Průvodce rozmístěním například vytvoří soubor MST s určeným nastavením. Rozmístění vytvořené Průvodcem rozmístěním používá soubor MST ve spojení se soubory MSI a MSIEXEC k instalaci programu na místní pracovní stanice.

obraz instalace

Rozmístění, které se skládá ze souboru MSI, asociovaných transformací, dalších uživatelských souborů a nastavení profilu a registru.

ohlašování

Technologie, která uživatele upozorňuje na aktualizovaný softwarový produkt dostupný k instalaci. Uživatelé obvykle poklepáním na zástupce (nebo provedením podobné činnosti) provedou instalaci ohlášeného produktu.

patch

Softwarová aktualizace aplikace.

rozmístění

Proces instalace produktu společnosti Autodesk na jeden nebo více počítačů v síti.

rozmístění

Odkaz na jedinečný soubor MST (Microsoft Transform), který slouží jako základ pro instalaci. Pomocí Průvodce rozmístěním mohou správci vytvořit více rozmístění pro různé typy instalace.

samostatná instalace pro více licencí

Typ instalace, kdy je několik samostatných licencí programu nainstalováno pomocí jednoho sériového čísla.

Service Pack

Terminologie společnosti Autodesk pro opravu patch aplikace.

skriptování

Proces použití skriptovacího jazyka, například VB Script, k přizpůsobení rozmístění softwarových balíčků.

služby vzdálené instalace

Služby vzdálené instalace. Serverová technologie společnosti Microsoft, která umožňuje neobsluhované vzdálené instalace softwarových aplikací.

SMS

Server SMS (Microsoft Systems Management Server). Nástroj, který pomáhá spravovat počítače v síti povolením vzdálené konfigurace, prováděním rozmístění a správou uživatelů. Server SMS je nákladná technologie, kterou je nutné zakoupit jako další server.

Soubor MSP

Soubor s opravou patch (viz patch).

technologie aktivní instalace

Instalační technologie, která instaluje soubory na vzdálenou pracovní plochu bez zásahu uživatele.

technologie tažení

Instalační technologie, která vyžaduje k dokončení instalace zásah uživatele.

tichá instalace

Instalace, která proběhne bez zásahu uživatele. Nezobrazí se žádné dialogy vyžadující zásah uživatele.

transformace

Viz MST.

uživatel skupiny power user

Uživatel s právy pro přístup a zápis do složky Program Files a složky HKEY_Local_Machine v registru.

zásady skupiny

Technologie serveru společnosti Microsoft, která nabízí způsob, jak provést instalace a ohlašované instalace pomocí standardních administračních komponentů systému Microsoft 2000 Server.

částečný profil

Profil obsahující částečné informace registru odpovídající podmnožině voleb dostupných na kartě Soubory v dialogu Možnosti.


Připomínky?

Pomocí tohoto formuláře můžete své připomínky odeslat do oddělení dokumentace společnosti Autodesk, které tuto dokumentaci zpracovává.

Název a pozice tématu (neměňte):
Název (volitelné):
E-mail (volitelné):
Připomínky:

Poznámka: Tento formulář neslouží pro technickou podporu samotného produktu. Odeslané informace budou použity ke zlepšení budoucích aktuálních dokumentací. Děkujeme!